(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    146117,       3733]*)
(*NotebookOutlinePosition[    147867,       3786]*)
(*  CellTagsIndexPosition[    147601,       3776]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Basic demonstration of the use of L1Packv2.m. ", "Text",
  FontFamily->"Courier New"],

Cell[TextData[{
  "If you decide to use this package for your work, please refer to the \
article:\n\"L1Packv2: A Mathematica package for minimizing an ",
  Cell[BoxData[
      \(TraditionalForm\`\[ScriptL]\_1\)]],
  "-penalized functional\", Ignace Loris (2008)\n in your publication(s). The \
full citation data (BibTeX) for this article can be found on my webpage (in \
the list of publications): http://homepages.vub.ac.be/~igloris ."
}], "Text",
  FontFamily->"Courier New"],

Cell["These procedures work with real numbers only.", "Text",
  FontFamily->"Courier New"],

Cell[BoxData[
    \(Exit[]\)], "Input",
  FontFamily->"Courier New"],

Cell["\<\
This loads the package (if the file \"L1Packv2.m\" resides in the directory \
\"...Notebooks\\Packages\").\
\>", "Text",
  FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetDirectory[$HomeDirectory <> "\<\\My \
Documents\\Notebooks\\Packages\>"]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \("C:\\Documents and Settings\\igloris\\My \
Documents\\Notebooks\\Packages"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(<< L1Packv2`\)], "Input",
  FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?SoftThreshold\)\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \("SoftThreshold[x_,tau_]: Soft thresholding operation, NOT for complex \
numbers!"\)], "Print",
  CellTags->"Info3421404101-9830642"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SoftThreshold[{\(-4\), \(-3\), \(-2\), \(-1\), 0, 1, 2, 3, 4}, 
      1]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({\(-3\), \(-2\), \(-1\), 0, 0, 0, 1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SoftThreshold[{1, 2, 3, 4, \(-1\), \(-2\), \(-3\), \(-4\), 
        1/2, \(-1\)/2, 0}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1/3, 1}]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({0, 1, 2, 3, 0, \(-1\), \(-2\), \(-3\), 0, \(-\(1\/6\)\), 
      0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SoftThreshold[{0.5, 1/2}, 1]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({0.`, 0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[SoftThreshold[x, 1], {x, \(-2\), 2}]\)], "Input",
  FontFamily->"Courier New"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.238095 0.309017 0.294302 [
[.02381 .29652 -6 -9 ]
[.02381 .29652 6 0 ]
[.2619 .29652 -6 -9 ]
[.2619 .29652 6 0 ]
[.7381 .29652 -3 -9 ]
[.7381 .29652 3 0 ]
[.97619 .29652 -3 -9 ]
[.97619 .29652 3 0 ]
[.4875 .01472 -12 -4.5 ]
[.4875 .01472 0 4.5 ]
[.4875 .16187 -24 -4.5 ]
[.4875 .16187 0 4.5 ]
[.4875 .45617 -18 -4.5 ]
[.4875 .45617 0 4.5 ]
[.4875 .60332 -6 -4.5 ]
[.4875 .60332 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .30902 m
.02381 .31527 L
s
[(-2)] .02381 .29652 0 1 Mshowa
.2619 .30902 m
.2619 .31527 L
s
[(-1)] .2619 .29652 0 1 Mshowa
.7381 .30902 m
.7381 .31527 L
s
[(1)] .7381 .29652 0 1 Mshowa
.97619 .30902 m
.97619 .31527 L
s
[(2)] .97619 .29652 0 1 Mshowa
.125 Mabswid
.07143 .30902 m
.07143 .31277 L
s
.11905 .30902 m
.11905 .31277 L
s
.16667 .30902 m
.16667 .31277 L
s
.21429 .30902 m
.21429 .31277 L
s
.30952 .30902 m
.30952 .31277 L
s
.35714 .30902 m
.35714 .31277 L
s
.40476 .30902 m
.40476 .31277 L
s
.45238 .30902 m
.45238 .31277 L
s
.54762 .30902 m
.54762 .31277 L
s
.59524 .30902 m
.59524 .31277 L
s
.64286 .30902 m
.64286 .31277 L
s
.69048 .30902 m
.69048 .31277 L
s
.78571 .30902 m
.78571 .31277 L
s
.83333 .30902 m
.83333 .31277 L
s
.88095 .30902 m
.88095 .31277 L
s
.92857 .30902 m
.92857 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.5 .01472 m
.50625 .01472 L
s
[(-1)] .4875 .01472 1 0 Mshowa
.5 .16187 m
.50625 .16187 L
s
[(-0.5)] .4875 .16187 1 0 Mshowa
.5 .45617 m
.50625 .45617 L
s
[(0.5)] .4875 .45617 1 0 Mshowa
.5 .60332 m
.50625 .60332 L
s
[(1)] .4875 .60332 1 0 Mshowa
.125 Mabswid
.5 .04415 m
.50375 .04415 L
s
.5 .07358 m
.50375 .07358 L
s
.5 .10301 m
.50375 .10301 L
s
.5 .13244 m
.50375 .13244 L
s
.5 .1913 m
.50375 .1913 L
s
.5 .22073 m
.50375 .22073 L
s
.5 .25016 m
.50375 .25016 L
s
.5 .27959 m
.50375 .27959 L
s
.5 .33845 m
.50375 .33845 L
s
.5 .36788 m
.50375 .36788 L
s
.5 .39731 m
.50375 .39731 L
s
.5 .42674 m
.50375 .42674 L
s
.5 .4856 m
.50375 .4856 L
s
.5 .51503 m
.50375 .51503 L
s
.5 .54446 m
.50375 .54446 L
s
.5 .57389 m
.50375 .57389 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .06247 L
.10458 .11455 L
.14415 .16347 L
.18221 .21051 L
.22272 .26058 L
.24141 .28369 L
.25127 .29587 L
.25666 .30253 L
.2593 .30579 L
.26045 .30722 L
.26171 .30878 L
.26301 .30902 L
.26425 .30902 L
.26494 .30902 L
.26567 .30902 L
.26698 .30902 L
.26773 .30902 L
.26855 .30902 L
.26932 .30902 L
.27003 .30902 L
.27067 .30902 L
.27137 .30902 L
.2721 .30902 L
.27279 .30902 L
.27342 .30902 L
.27411 .30902 L
.27537 .30902 L
.27659 .30902 L
.27772 .30902 L
.27894 .30902 L
.27964 .30902 L
.28029 .30902 L
.2816 .30902 L
.28234 .30902 L
.28302 .30902 L
.28419 .30902 L
.28544 .30902 L
.28663 .30902 L
.2877 .30902 L
.28897 .30902 L
.28968 .30902 L
.29034 .30902 L
.29155 .30902 L
.29283 .30902 L
.29405 .30902 L
.29537 .30902 L
.29661 .30902 L
.29774 .30902 L
.29843 .30902 L
Mistroke
.29907 .30902 L
.29977 .30902 L
.30052 .30902 L
.30123 .30902 L
.3019 .30902 L
.30316 .30902 L
.30432 .30902 L
.30557 .30902 L
.30675 .30902 L
.30783 .30902 L
.30909 .30902 L
.3098 .30902 L
.31046 .30902 L
.31166 .30902 L
.31294 .30902 L
.31417 .30902 L
.31548 .30902 L
.31672 .30902 L
.31786 .30902 L
.31912 .30902 L
.31983 .30902 L
.3205 .30902 L
.3212 .30902 L
.32184 .30902 L
.32258 .30902 L
.32327 .30902 L
.32434 .30902 L
.32552 .30902 L
.32675 .30902 L
.32789 .30902 L
.32897 .30902 L
.32995 .30902 L
.33108 .30902 L
.33215 .30902 L
.33331 .30902 L
.33454 .30902 L
.33559 .30902 L
.33675 .30902 L
.33799 .30902 L
.33869 .30902 L
.33933 .30902 L
.34051 .30902 L
.34176 .30902 L
.34299 .30902 L
.34368 .30902 L
.34432 .30902 L
.3455 .30902 L
.34675 .30902 L
.34786 .30902 L
.34891 .30902 L
Mistroke
.35005 .30902 L
.35129 .30902 L
.35259 .30902 L
.35333 .30902 L
.35402 .30902 L
.35527 .30902 L
.35597 .30902 L
.35661 .30902 L
.35781 .30902 L
.35912 .30902 L
.36034 .30902 L
.36148 .30902 L
.36254 .30902 L
.36368 .30902 L
.36475 .30902 L
.36573 .30902 L
.36688 .30902 L
.36813 .30902 L
.36931 .30902 L
.37041 .30902 L
.37153 .30902 L
.37258 .30902 L
.37373 .30902 L
.37498 .30902 L
.37621 .30902 L
.37751 .30902 L
.37862 .30902 L
.37983 .30902 L
.38116 .30902 L
.38237 .30902 L
.38301 .30902 L
.38371 .30902 L
.38444 .30902 L
.38513 .30902 L
.38638 .30902 L
.38753 .30902 L
.38817 .30902 L
.38886 .30902 L
.39012 .30902 L
.39135 .30902 L
.39247 .30902 L
.39376 .30902 L
.39497 .30902 L
.39609 .30902 L
.39713 .30902 L
.39826 .30902 L
.39946 .30902 L
.40077 .30902 L
.40196 .30902 L
.40262 .30902 L
Mistroke
.40334 .30902 L
.40464 .30902 L
.40585 .30902 L
.40714 .30902 L
.40825 .30902 L
.40946 .30902 L
.41019 .30902 L
.41088 .30902 L
.41218 .30902 L
.41291 .30902 L
.41358 .30902 L
.41433 .30902 L
.41512 .30902 L
.4158 .30902 L
.41655 .30902 L
.41725 .30902 L
.41789 .30902 L
.41912 .30902 L
.42042 .30902 L
.42163 .30902 L
.42232 .30902 L
.42296 .30902 L
.42413 .30902 L
.42537 .30902 L
.42648 .30902 L
.42752 .30902 L
.42866 .30902 L
.42989 .30902 L
.43112 .30902 L
.43182 .30902 L
.43247 .30902 L
.43378 .30902 L
.43452 .30902 L
.43518 .30902 L
.43638 .30902 L
.43768 .30902 L
.43891 .30902 L
.44004 .30902 L
.4411 .30902 L
.44223 .30902 L
.4433 .30902 L
.44428 .30902 L
.44543 .30902 L
.44667 .30902 L
.44785 .30902 L
.44895 .30902 L
.45018 .30902 L
.45134 .30902 L
.45239 .30902 L
.45351 .30902 L
Mistroke
.45474 .30902 L
.45605 .30902 L
.45716 .30902 L
.45837 .30902 L
.45968 .30902 L
.46089 .30902 L
.46152 .30902 L
.46222 .30902 L
.46295 .30902 L
.46363 .30902 L
.46488 .30902 L
.46602 .30902 L
.46728 .30902 L
.4686 .30902 L
.46972 .30902 L
.47091 .30902 L
.47203 .30902 L
.47305 .30902 L
.47425 .30902 L
.47555 .30902 L
.47678 .30902 L
.47791 .30902 L
.47912 .30902 L
.48042 .30902 L
.48164 .30902 L
.48276 .30902 L
.48407 .30902 L
.48481 .30902 L
.48549 .30902 L
.48675 .30902 L
.48738 .30902 L
.48808 .30902 L
.48876 .30902 L
.48947 .30902 L
.49075 .30902 L
.49146 .30902 L
.49212 .30902 L
.49285 .30902 L
.49363 .30902 L
.4943 .30902 L
.49503 .30902 L
.49572 .30902 L
.49636 .30902 L
.49756 .30902 L
.49884 .30902 L
.50004 .30902 L
.50136 .30902 L
.5026 .30902 L
.50376 .30902 L
.5049 .30902 L
Mistroke
.50593 .30902 L
.50713 .30902 L
.50825 .30902 L
.50949 .30902 L
.51079 .30902 L
.5119 .30902 L
.51312 .30902 L
.51443 .30902 L
.51517 .30902 L
.51584 .30902 L
.51714 .30902 L
.51838 .30902 L
.51943 .30902 L
.52059 .30902 L
.5218 .30902 L
.52293 .30902 L
.52399 .30902 L
.52496 .30902 L
.52603 .30902 L
.52715 .30902 L
.52829 .30902 L
.52951 .30902 L
.53066 .30902 L
.5317 .30902 L
.53293 .30902 L
.53362 .30902 L
.53426 .30902 L
.53544 .30902 L
.53668 .30902 L
.53789 .30902 L
.53921 .30902 L
.54046 .30902 L
.54161 .30902 L
.54276 .30902 L
.5438 .30902 L
.545 .30902 L
.54612 .30902 L
.54736 .30902 L
.54866 .30902 L
.54978 .30902 L
.551 .30902 L
.55231 .30902 L
.55305 .30902 L
.55372 .30902 L
.55503 .30902 L
.55626 .30902 L
.55731 .30902 L
.55848 .30902 L
.55969 .30902 L
.56083 .30902 L
Mistroke
.56188 .30902 L
.56286 .30902 L
.56398 .30902 L
.56504 .30902 L
.56618 .30902 L
.5674 .30902 L
.56855 .30902 L
.5696 .30902 L
.57083 .30902 L
.57152 .30902 L
.57216 .30902 L
.57334 .30902 L
.57458 .30902 L
.57579 .30902 L
.57648 .30902 L
.57712 .30902 L
.57829 .30902 L
.57953 .30902 L
.58063 .30902 L
.58167 .30902 L
.58281 .30902 L
.58404 .30902 L
.58527 .30902 L
.58597 .30902 L
.58662 .30902 L
.58793 .30902 L
.58867 .30902 L
.58934 .30902 L
.59054 .30902 L
.59184 .30902 L
.59306 .30902 L
.5942 .30902 L
.59525 .30902 L
.59638 .30902 L
.59745 .30902 L
.59843 .30902 L
.59958 .30902 L
.60082 .30902 L
.602 .30902 L
.6031 .30902 L
.60433 .30902 L
.60549 .30902 L
.60653 .30902 L
.60766 .30902 L
.60889 .30902 L
.61019 .30902 L
.61131 .30902 L
.61252 .30902 L
.61383 .30902 L
.61504 .30902 L
Mistroke
.61567 .30902 L
.61637 .30902 L
.61709 .30902 L
.61777 .30902 L
.61902 .30902 L
.62017 .30902 L
.62142 .30902 L
.62274 .30902 L
.62386 .30902 L
.62505 .30902 L
.62617 .30902 L
.62719 .30902 L
.62839 .30902 L
.62969 .30902 L
.63092 .30902 L
.63205 .30902 L
.63326 .30902 L
.63456 .30902 L
.63578 .30902 L
.6369 .30902 L
.6382 .30902 L
.63894 .30902 L
.63963 .30902 L
.64088 .30902 L
.64159 .30902 L
.64222 .30902 L
.6429 .30902 L
.64361 .30902 L
.64489 .30902 L
.6456 .30902 L
.64626 .30902 L
.64699 .30902 L
.64776 .30902 L
.64844 .30902 L
.64917 .30902 L
.64986 .30902 L
.65049 .30902 L
.6517 .30902 L
.65298 .30902 L
.65418 .30902 L
.65549 .30902 L
.65674 .30902 L
.65789 .30902 L
.65903 .30902 L
.66006 .30902 L
.66126 .30902 L
.66238 .30902 L
.66362 .30902 L
.66492 .30902 L
.66603 .30902 L
Mistroke
.66725 .30902 L
.66856 .30902 L
.6693 .30902 L
.66997 .30902 L
.67127 .30902 L
.67251 .30902 L
.67356 .30902 L
.67471 .30902 L
.67592 .30902 L
.67706 .30902 L
.67812 .30902 L
.67909 .30902 L
.68015 .30902 L
.68127 .30902 L
.68241 .30902 L
.68363 .30902 L
.68478 .30902 L
.68582 .30902 L
.68705 .30902 L
.68775 .30902 L
.68839 .30902 L
.68956 .30902 L
.69081 .30902 L
.69202 .30902 L
.69333 .30902 L
.69458 .30902 L
.69574 .30902 L
.69688 .30902 L
.69792 .30902 L
.69911 .30902 L
.70024 .30902 L
.70148 .30902 L
.70278 .30902 L
.70389 .30902 L
.70511 .30902 L
.70643 .30902 L
.70716 .30902 L
.70784 .30902 L
.70914 .30902 L
.71038 .30902 L
.71143 .30902 L
.71259 .30902 L
.7138 .30902 L
.71494 .30902 L
.716 .30902 L
.71697 .30902 L
.71803 .30902 L
.71915 .30902 L
.7203 .30902 L
.72151 .30902 L
Mistroke
.72267 .30902 L
.72371 .30902 L
.72494 .30902 L
.72563 .30902 L
.72627 .30902 L
.72745 .30902 L
.72869 .30902 L
.7299 .30902 L
.73059 .30902 L
.73123 .30902 L
.73239 .30902 L
.73363 .30902 L
.73474 .30902 L
.73578 .30902 L
.73692 .30902 L
.73815 .30908 L
.73938 .3106 L
.74073 .31227 L
.74344 .31562 L
.7483 .32163 L
.76662 .34428 L
.80715 .39437 L
.84616 .44259 L
.88762 .49384 L
.92756 .54321 L
.96599 .59071 L
.97619 .60332 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{212.438, 131.25},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  FontFamily->"Courier New",
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003D0000Pb000`400?l00000o`00003oe03oool0
0=@0oooo001Z0?ooo`030000003oool0oooo06L0oooo001Q0?ooo`060?oo_`1d0000000000000000
04P0W=oo0`3oool00`000000oooo0?ooo`1W0?ooo`00H`3oool00`3o_g@0B9cO0?ooo`040?ooo`03
0000003oool0oooo06L0oooo00080?ooo`030000003oool0oooo05P0oooo00<0okmd04RLg`3oool0
103oool2000006P0oooo00090?ooo`030000003oool0oooo04l0oooo00<0okmd0000000000000P00
00001@1d_ol0oooo0?ooo`3o_g@0B9cO00D0oooo00<000000?ooo`3oool0I`3oool000X0oooo00<0
00000?ooo`3oool0E@3oool00`2LB7@0_kmd04RLg`050?ooo`030000003oool0oooo06L0oooo000:
0?ooo`030000003oool0oooo05D0oooo00<0okmd00000018W=l01@3oool00`000000oooo0?ooo`1W
0?ooo`002`3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo06L0oooo000<0?ooo`03
0000003oool0oooo05/0oooo00<000000?ooo`3oool0I`3oool000d0oooo00<000000?ooo`3oool0
FP3oool2000006P0oooo000>0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0I`3o
ool000h0oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`1W0?ooo`003`3oool00`00
0000oooo0?ooo`1H0?ooo`030000003oool0oooo06L0oooo000@0?ooo`030000003oool0oooo05L0
oooo00<000000?ooo`3oool0I`3oool00140oooo00<000000?ooo`3oool0EP3oool00`000000oooo
0?ooo`1W0?ooo`004P3oool00`000000oooo0?ooo`1E0?ooo`800000J03oool00180oooo00<00000
0?ooo`3oool0E@3oool00`000000oooo0?ooo`1W0?ooo`004`3oool00`000000oooo0?ooo`1D0?oo
o`030000003oool0oooo06L0oooo000D0?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3o
ool0I`3oool001D0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`1W0?ooo`005P3o
ool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo06L0oooo000F0?ooo`030000003oool0
oooo0540oooo0P00001X0?ooo`005`3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo
06L0oooo000H0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0I`3oool001T0oooo
00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`1W0?ooo`006P3oool00`000000oooo0?oo
o`1=0?ooo`030000003oool0oooo06L0oooo000J0?ooo`030000003oool0oooo04d0oooo00<00000
0?ooo`3oool0I`3oool001/0oooo00<000000?ooo`3oool0C03oool2000006P0oooo000L0?ooo`03
0000003oool0oooo04/0oooo00<000000?ooo`3oool0I`3oool001d0oooo00<000000?ooo`3oool0
BP3oool00`000000oooo0?ooo`1W0?ooo`007P3oool00`000000oooo0?ooo`190?ooo`030000003o
ool0oooo06L0oooo000N0?ooo`030000003oool0oooo03D0oooo00@0gia8000000000000B9cO0P3o
ool00`3ookl0M0000018W0030?ooo`040=nLB0000000000004RLg`@0oooo00<000000?ooo`3oool0
I`3oool001l0oooo00<000000?ooo`3oool0=03oool01@2LM9`0oooo0?ooo`2LB7@0_ooo00H0oooo
00H0omnL04Q8W03oool0oooo09a8B02Lgol30?ooo`030000003oool0oooo06L0oooo000P0?ooo`03
0000003oool0oooo0380oooo00H0oono07A8W03oool0oooo0;mdB02Lgol:0?ooo`030;mdB02Lgol0
oooo0080oooo0P00001X0?ooo`008@3oool00`000000oooo0?ooo`0[0?ooo`030?noM00000000000
0080000000<0M;oo0?oo_`1dB9`00P3oool00`2oM4P0W=oo0?ooo`060?ooo`040;md000000000000
001d_`@0oooo00<000000?ooo`3oool0I`3oool00280oooo00<000000?ooo`3oool0<@3oool01@2L
B4P0W=oo0?oo_`1d07@0_ooo00L0oooo00<0_gA809cOo`3oool01@3oool00`000000oooo0?ooo`1W
0?ooo`008P3oool00`000000oooo0?ooo`0a0?ooo`040?oOW0180000000007Boo`P0oooo00@0_g@0
00000000000007Bo103oool00`000000oooo0?ooo`1W0?ooo`008`3oool00`000000oooo0?ooo`14
0?ooo`030000003oool0oooo06L0oooo000T0?ooo`030000003oool0oooo04<0oooo00<000000?oo
o`3oool0I`3oool002D0oooo00<000000?ooo`3oool0@P3oool2000006P0oooo000V0?ooo`030000
003oool0oooo0440oooo00<000000?ooo`3oool0I`3oool002H0oooo00<000000?ooo`3oool0@@3o
ool00`000000oooo0?ooo`1W0?ooo`009`3oool00`000000oooo0?ooo`100?ooo`030000003oool0
oooo06L0oooo000X0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0I`3oool002T0
oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`1W0?ooo`00:P3oool00`000000oooo
0?ooo`0m0?ooo`800000J03oool002/0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?oo
o`1W0?ooo`00;03oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo06L0oooo000/0?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool0I`3oool002d0oooo00<000000?ooo`3o
ool0>P3oool00`000000oooo0?ooo`1W0?ooo`00;P3oool00`000000oooo0?ooo`0i0?ooo`030000
003oool0oooo06L0oooo000_0?ooo`030000003oool0oooo03P0oooo0P00001X0?ooo`00<03oool0
0`000000oooo0?ooo`0g0?ooo`030000003oool0oooo06L0oooo00080?ooo`060?noM00000000000
0000000007@0_ooo8`3oool00`000000oooo0?ooo`050?ooo`060?oo_`1d000000000000000004P0
W=oo:`3oool00`000000oooo0?ooo`0[0?ooo`060?oo_`1d000000000000000004P0W=oo:`3oool0
1P3o_g@00000000000000000001d0;ooo`D0oooo00090?ooo`0309a8000007@0_ooo02H0oooo00<0
00000?ooo`3oool01P3oool00`3o_g@0B9cO0?ooo`0/0?ooo`030000003oool0oooo02d0oooo00<0
okmd04RLg`3oool0;@3oool00`2LB000001d0;ooo`070?ooo`002P3oool00`3o_g@0000007Boo`0V
0?ooo`030000003oool0oooo00D0oooo00<0okmd04RLg`3oool0;03oool00`000000oooo0?ooo`0]
0?ooo`030?noM018W=l0oooo02h0oooo00<0okmd0000001d_ol01P3oool00080oooo00<0okmd0000
000000000P0000001P1d_ol0oooo0?ooo`3oool0oono0;noobH0oooo1@0000001@1d_ol0oooo0?oo
o`3o_g@0B9cO02d0oooo00<000000?ooo`3oool0;@3oool00`3o_g@0B9cO0?ooo`0_0?ooo`030?oo
_`2o_ol0oooo00D0oooo00080?ooo`060?oOW018B9`0oooo0?oo_`1d07@0_ooo9P3oool00`000000
oooo0?ooo`030?ooo`0309a8M02o_g@0B9cO02d0oooo0P00000]0?ooo`0309a8M02o_g@0B9cO02d0
oooo00H0omnL04Q8W03oool0oono07@0M02oool50?ooo`002@3oool0103OW4P0000000000018W=lX
0?ooo`030000003oool0oooo0080oooo00<0okmd00000018W=l0;@3oool00`000000oooo0?ooo`0/
0?ooo`030?noM0000000B9cO02h0oooo00@0gia8000000000000B9cO1P3oool003H0oooo00<00000
0?ooo`3oool0<@3oool00`000000oooo0?ooo`1W0?ooo`00=P3oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo06L0oooo000g0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool0I`3oool003P0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`1W0?ooo`000`3o
ooo?00000080oooo00080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`050?ooo`00203oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo
02h0oooo00<000000?ooo`3oool0;P3oool2000002l0oooo00<000000?ooo`3oool01@3oool006X0
oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0d0?ooo`00JP3oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo03<0oooo001Z0?ooo`030000003oool0oooo0380oooo00<0
00000?ooo`3oool0<P3oool006X0oooo0P00000c0?ooo`030000003oool0oooo0380oooo001Z0?oo
o`030000003oool0oooo03<0oooo00<000000?ooo`3oool0<@3oool006X0oooo00<000000?ooo`3o
ool0=03oool00`000000oooo0?ooo`0`0?ooo`00JP3oool00`000000oooo0?ooo`0e0?ooo`030000
003oool0oooo02l0oooo001Z0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0;P3o
ool006X0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0^0?ooo`00JP3oool20000
03P0oooo00<000000?ooo`3oool0;@3oool006X0oooo00<000000?ooo`3oool0>03oool00`000000
oooo0?ooo`0/0?ooo`00JP3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo02/0oooo
001Z0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0:P3oool006X0oooo00<00000
0?ooo`3oool0>P3oool00`000000oooo0?ooo`0Z0?ooo`00JP3oool00`000000oooo0?ooo`0k0?oo
o`030000003oool0oooo02T0oooo001Z0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3o
ool0:03oool006X0oooo0P00000n0?ooo`030000003oool0oooo02L0oooo001Z0?ooo`030000003o
ool0oooo03h0oooo00<000000?ooo`3oool09P3oool006X0oooo00<000000?ooo`3oool0?P3oool0
0`000000oooo0?ooo`0V0?ooo`00JP3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo
02D0oooo001Z0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0903oool006X0oooo
00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0S0?ooo`00JP3oool2000004<0oooo00<0
00000?ooo`3oool08P3oool006X0oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0R
0?ooo`00JP3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0240oooo001Z0?ooo`03
0000003oool0oooo04@0oooo00<000000?ooo`3oool0803oool005H0oooo00@0gia8000000000000
B9cO0P3oool00`3ookl0M0000018W0030?ooo`040=nLB0000000000004RLg`@0oooo00<000000?oo
o`3oool0A@3oool00`000000oooo0?ooo`0O0?ooo`00EP3oool01@2LM9`0oooo0?ooo`2LB7@0_ooo
00H0oooo00H0omnL04Q8W03oool0oooo09a8B02Lgol30?ooo`030000003oool0oooo04H0oooo00<0
00000?ooo`3oool07P3oool005D0oooo00H0oono07A8W03oool0oooo0;mdB02Lgol:0?ooo`030;md
B02Lgol0oooo0080oooo0P0000180?ooo`030000003oool0oooo01d0oooo001E0?ooo`060?oo_`1d
B9`0oooo0?ooo`2oM4P0W=oo1`3oool0102oM000000000000000M;l40?ooo`030000003oool0oooo
04P0oooo00<000000?ooo`3oool0703oool005H0oooo00D0W4Q809cOo`3ookl0M01d0;ooo`070?oo
o`030;mdB02Lgol0oooo00D0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0L0?oo
o`00EP3oool0103ogi`0B0000000001d_ol80?ooo`040;md000000000000001d_`@0oooo00<00000
0?ooo`3oool0B@3oool00`000000oooo0?ooo`0K0?ooo`00JP3oool00`000000oooo0?ooo`1:0?oo
o`030000003oool0oooo01X0oooo001Z0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3o
ool06@3oool006X0oooo0P00001=0?ooo`030000003oool0oooo01P0oooo001Z0?ooo`030000003o
ool0oooo04d0oooo00<000000?ooo`3oool05`3oool006X0oooo00<000000?ooo`3oool0CP3oool0
0`000000oooo0?ooo`0F0?ooo`00JP3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo
01H0oooo001Z0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool05@3oool006X0oooo
00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`0D0?ooo`00JP3oool200000580oooo00<0
00000?ooo`3oool04`3oool006X0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0C
0?ooo`00JP3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo0180oooo001Z0?ooo`03
0000003oool0oooo05<0oooo00<000000?ooo`3oool04@3oool006X0oooo00<000000?ooo`3oool0
E03oool00`000000oooo0?ooo`0@0?ooo`00JP3oool00`000000oooo0?ooo`1D0?ooo`030000003o
ool0oooo0100oooo001Z0?ooo`800000EP3oool00`000000oooo0?ooo`0?0?ooo`00JP3oool00`00
0000oooo0?ooo`1F0?ooo`030000003oool0oooo00h0oooo001Z0?ooo`030000003oool0oooo05L0
oooo00<000000?ooo`3oool03@3oool006X0oooo00<000000?ooo`3oool0F03oool00`000000oooo
0?ooo`0<0?ooo`00JP3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo00/0oooo001Z
0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool02`3oool006X0oooo0P00001K0?oo
o`030000003oool0oooo00X0oooo001Z0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3o
ool02@3oool006X0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`080?ooo`00JP3o
ool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo00L0oooo001Q0?ooo`060?oo_`1d0000
00000000000004P0W=oo0`3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo00H0oooo
001S0?ooo`030?noM018W=l0oooo00@0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?oo
o`060?ooo`00H`3oool00`3o_g@0B9cO0?ooo`040?ooo`800000H03oool00`000000oooo0?ooo`05
0?ooo`00H`3oool00`3o_g@0B9cO0?ooo`040?ooo`030000003oool0oooo06L0oooo001R0?ooo`03
09a8M02o_g@0B9cO00D0oooo00<000000?ooo`3oool0I`3oool00680oooo00<0okmd00000018W=l0
1@3oool00`000000oooo0?ooo`1W0?ooo`00e03oool00001\
\>"],
  ImageRangeCache->{{{0, 211.438}, {130.25, 0}} -> {-2.16665, -1.07422, \
0.0203888, 0.0164949}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?ProjectionOnL1Ball\)\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \("ProjectionOnL1Ball[x_List,R_,options___]: Projection of x on a L1 ball \
of radius R."\)], "Print",
  CellTags->"Info3421404104-1027883"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ProjectionOnL1Ball[{1, 2, 3, 4}, 11]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({1, 2, 3, 4}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ProjectionOnL1Ball[{1, 2, 3, 4}, 3]\)], "Input",
  ImageSize->{238, 18},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  FontFamily->"Courier New"],

Cell[BoxData[
    \({0, 0, 1, 2}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[
      Graphics[Table[
          Line[{th = Random[Real, {0, 2  Pi}]; {x = 2  Cos[th], 
                y = 2  Sin[th]}, ProjectionOnL1Ball[{x, y}, 1]}], {300}]], 
      AspectRatio \[Rule] 1]\)], "Input",
  FontFamily->"Courier New"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.49999 0.238104 0.500019 0.238105 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.91327 .73661 m
.70739 .53073 L
s
.31245 .93775 m
.49999 .73812 L
s
.2438 .90145 m
.45356 .69169 L
s
.02908 .42918 m
.26189 .50002 L
s
.36033 .04475 m
.49999 .26191 L
s
.93396 .30395 m
.73799 .49992 L
s
.26966 .08322 m
.47418 .28773 L
s
.08448 .73268 m
.28951 .52765 L
s
.03733 .38725 m
.26189 .50002 L
s
.37052 .95829 m
.49999 .73812 L
s
.95796 .36948 m
.73809 .50002 L
s
.0633 .31009 m
.26189 .50002 L
s
.24702 .90348 m
.45618 .69432 L
s
.93492 .69395 m
.73809 .50002 L
s
.11186 .77594 m
.32483 .56297 L
s
.40886 .03261 m
.49999 .26191 L
s
.05536 .67053 m
.26189 .50002 L
s
.04406 .36253 m
.26189 .50002 L
s
.03945 .62118 m
.26189 .50002 L
s
.07435 .28648 m
.27489 .48702 L
s
.67278 .05626 m
.49999 .26191 L
s
.09 .25777 m
.29707 .46484 L
s
.35713 .04574 m
.49999 .26191 L
s
.05078 .65807 m
.26189 .50002 L
s
.42948 .02906 m
.49999 .26191 L
s
.43878 .97228 m
.49999 .73812 L
s
.19391 .86484 m
.41031 .64844 L
s
.92069 .2769 m
.71784 .47976 L
s
.97092 .57073 m
.73809 .50002 L
s
.24976 .90519 m
.45841 .69654 L
s
.32873 .05567 m
.49999 .26191 L
s
.02391 .48916 m
.26189 .50002 L
s
.02571 .54284 m
.26189 .50002 L
s
.95793 .63067 m
.73809 .50002 L
s
.45709 .02575 m
.49999 .26191 L
s
.9409 .3201 m
.73809 .50002 L
s
.78821 .8791 m
.57361 .6645 L
s
.97144 .43285 m
.73809 .50002 L
s
.26016 .91143 m
.46673 .70486 L
s
.5922 .96722 m
.49999 .73812 L
s
.36661 .04287 m
.49999 .26191 L
s
.06801 .70044 m
.26516 .50329 L
s
.8366 .16317 m
.61892 .38085 L
s
.20807 .12378 m
.4231 .33881 L
s
.87758 .20985 m
.66276 .42468 L
s
.76994 .10772 m
.55787 .31979 L
s
.72034 .92218 m
.51814 .71998 L
s
.6505 .95182 m
.49999 .73812 L
s
.73105 .91642 m
.52637 .71174 L
s
.07625 .28273 m
.27771 .4842 L
s
.68177 .05987 m
.49999 .26191 L
s
.42127 .96968 m
.49999 .73812 L
s
.79031 .87749 m
.57547 .66265 L
s
.53778 .97473 m
.49999 .73812 L
s
.84531 .82794 m
.62774 .61037 L
s
.56797 .02869 m
.49999 .26191 L
s
.24478 .09797 m
.45436 .30755 L
s
.66656 .94615 m
.49999 .73812 L
s
.1423 .81439 m
.35928 .59741 L
s
.74101 .08931 m
.5342 .29612 L
s
.02548 .45983 m
.26189 .50002 L
s
.60197 .96518 m
.49999 .73812 L
s
.95173 .65071 m
.73809 .50002 L
s
.14372 .18403 m
.3608 .40111 L
s
.67148 .05576 m
.49999 .26191 L
s
.60325 .03514 m
.49999 .26191 L
s
.71271 .92608 m
.51237 .72574 L
s
.96804 .41225 m
.73809 .50002 L
s
.90666 .25225 m
.69849 .46042 L
s
.94149 .32155 m
.73809 .50002 L
s
.97612 .50859 m
.73809 .50002 L
s
.56464 .02822 m
.49999 .26191 L
s
.48066 .0242 m
.49999 .26191 L
s
.18856 .86028 m
.40535 .64349 L
s
.67382 .94337 m
.49999 .73812 L
s
.024 .51424 m
.26189 .50002 L
s
.11104 .22525 m
.32385 .43806 L
s
.8344 .83906 m
.61673 .62138 L
s
.93133 .70181 m
.73382 .5043 L
s
.41796 .03093 m
.49999 .26191 L
s
.94041 .31889 m
.73809 .50002 L
s
.93458 .30533 m
.73809 .50002 L
s
.30921 .06369 m
.49999 .26191 L
s
.86304 .19185 m
.64649 .40841 L
s
.07643 .71767 m
.27798 .51611 L
s
.40289 .03381 m
.49999 .26191 L
s
.18095 .14648 m
.39818 .36372 L
s
.43286 .97147 m
.49999 .73812 L
s
.14442 .18325 m
.36154 .40037 L
s
.93404 .30413 m
.73809 .50002 L
s
.04118 .62754 m
.26189 .50002 L
s
.34711 .95102 m
.49999 .73812 L
s
.36115 .0445 m
.49999 .26191 L
s
.97582 .48108 m
.73809 .50002 L
s
.04354 .63578 m
.26189 .50002 L
s
.03241 .40979 m
.26189 .50002 L
s
.96077 .37979 m
.73809 .50002 L
s
.17448 .15243 m
.39198 .36993 L
s
.45976 .97453 m
.49999 .73812 L
s
.96467 .60418 m
.73809 .50002 L
s
.19302 .86408 m
.40948 .64762 L
s
.02394 .48768 m
.26189 .50002 L
s
.66463 .94687 m
.49999 .73812 L
s
.31735 .93981 m
.49999 .73812 L
s
.07762 .71996 m
.27972 .51785 L
s
.07059 .29413 m
.26919 .49272 L
s
.02462 .47185 m
.26189 .50002 L
s
.07615 .71712 m
.27757 .5157 L
s
.97619 .49744 m
.73809 .50002 L
s
.78912 .12163 m
.57441 .33633 L
s
.83938 .16597 m
.62172 .38364 L
s
.77467 .88903 m
.56188 .67623 L
s
.14614 .81871 m
.36336 .60149 L
s
.91917 .27405 m
.71565 .47757 L
s
.08354 .73098 m
.28819 .52632 L
s
.78022 .11499 m
.56665 .32857 L
s
.29831 .06863 m
.49579 .26611 L
s
.92782 .2909 m
.7284 .49032 L
s
.965 .39737 m
.73809 .50002 L
s
.29779 .93117 m
.49541 .73354 L
s
.41376 .03168 m
.49999 .26191 L
s
.36018 .95525 m
.49999 .73812 L
s
.35843 .04534 m
.49999 .26191 L
s
.39698 .96496 m
.49999 .73812 L
s
.19754 .86785 m
.41362 .65176 L
s
.62795 .04132 m
.49999 .26191 L
s
.02441 .47566 m
.26189 .50002 L
s
.96887 .41683 m
.73809 .50002 L
s
.93814 .31347 m
.73809 .50002 L
s
.58293 .96895 m
.49999 .73812 L
s
.97618 .49621 m
.73809 .50002 L
s
.04474 .3603 m
.26189 .50002 L
s
.93914 .31585 m
.73809 .50002 L
s
.17774 .85063 m
.39512 .63325 L
s
.84205 .83134 m
.62441 .6137 L
s
.12327 .79132 m
.33823 .57636 L
s
.05042 .34298 m
.26189 .50002 L
s
.04996 .65573 m
.26189 .50002 L
s
.36154 .04438 m
.49999 .26191 L
s
.04278 .36685 m
.26189 .50002 L
s
.83265 .15927 m
.615 .37693 L
s
.0273 .44228 m
.26189 .50002 L
s
.46301 .02525 m
.49999 .26191 L
s
.57356 .97051 m
.49999 .73812 L
s
.77486 .88889 m
.56204 .67607 L
s
.58357 .96884 m
.49999 .73812 L
s
.96429 .60585 m
.73809 .50002 L
s
.94343 .32642 m
.73809 .50002 L
s
.62577 .04072 m
.49999 .26191 L
s
.07088 .7065 m
.26962 .50776 L
s
.03088 .41808 m
.26189 .50002 L
s
.96694 .40656 m
.73809 .50002 L
s
.79565 .12671 m
.58021 .34214 L
s
.62858 .95854 m
.49999 .73812 L
s
.03156 .41433 m
.26189 .50002 L
s
.08101 .72636 m
.28462 .52275 L
s
.91702 .2701 m
.7126 .47452 L
s
.75056 .09506 m
.54185 .30377 L
s
.1039 .76438 m
.31507 .55321 L
s
.96989 .57725 m
.73809 .50002 L
s
.18211 .8546 m
.39929 .63742 L
s
.13079 .80079 m
.34672 .58485 L
s
.3622 .04418 m
.49999 .26191 L
s
.02724 .55728 m
.26189 .50002 L
s
.02421 .52026 m
.26189 .50002 L
s
.83001 .15671 m
.61239 .37432 L
s
.96515 .39805 m
.73809 .50002 L
s
.48352 .97595 m
.49999 .73812 L
s
.2419 .90022 m
.45199 .69013 L
s
.21993 .11487 m
.43348 .32842 L
s
.93086 .29722 m
.73308 .49501 L
s
.31117 .93719 m
.49999 .73812 L
s
.04583 .3568 m
.26189 .50002 L
s
.58535 .96852 m
.49999 .73812 L
s
.11044 .77393 m
.32312 .56125 L
s
.22904 .89163 m
.44127 .6794 L
s
.3303 .05507 m
.49999 .26191 L
s
.97413 .54433 m
.73809 .50002 L
s
.8339 .16049 m
.61623 .37816 L
s
.92451 .28425 m
.72342 .48535 L
s
.56621 .02844 m
.49999 .26191 L
s
.71179 .92654 m
.51168 .72643 L
s
.03378 .59706 m
.26189 .50002 L
s
.8839 .21826 m
.67012 .43204 L
s
.10465 .7655 m
.31601 .55414 L
s
.60517 .03557 m
.49999 .26191 L
s
.54199 .02566 m
.49999 .26191 L
s
.08499 .73358 m
.29022 .52835 L
s
.90626 .25158 m
.69796 .45988 L
s
.90771 .25398 m
.69988 .46181 L
s
.64259 .04566 m
.49999 .26191 L
s
.74776 .9067 m
.53959 .69853 L
s
.07102 .29324 m
.26984 .49206 L
s
.4592 .97448 m
.49999 .73812 L
s
.8225 .14965 m
.60511 .36704 L
s
.77509 .11131 m
.56224 .32416 L
s
.97129 .56821 m
.73809 .50002 L
s
.95945 .6252 m
.73809 .50002 L
s
.03464 .60113 m
.26189 .50002 L
s
.02381 .49496 m
.26189 .50002 L
s
.26833 .91608 m
.47314 .71127 L
s
.96911 .5819 m
.73809 .50002 L
s
.10161 .23912 m
.31219 .44971 L
s
.07779 .27975 m
.27997 .48194 L
s
.05576 .32846 m
.26189 .50002 L
s
.78197 .11627 m
.56816 .33008 L
s
.83685 .83662 m
.61917 .61894 L
s
.28994 .07264 m
.48961 .2723 L
s
.77314 .8901 m
.56058 .67754 L
s
.93654 .69027 m
.73809 .50002 L
s
.19441 .86525 m
.41077 .6489 L
s
.47343 .97549 m
.49999 .73812 L
s
.52952 .97531 m
.49999 .73812 L
s
.77546 .88847 m
.56256 .67556 L
s
.06001 .31783 m
.26189 .50002 L
s
.89221 .77008 m
.68012 .55799 L
s
.26701 .0847 m
.47211 .2898 L
s
.86341 .19229 m
.64689 .40881 L
s
.33606 .05292 m
.49999 .26191 L
s
.50613 .97619 m
.49999 .73812 L
s
.20993 .12234 m
.42475 .33716 L
s
.76974 .10758 m
.5577 .31962 L
s
.56526 .97174 m
.49999 .73812 L
s
.48879 .02394 m
.49999 .26191 L
s
.31112 .93717 m
.49999 .73812 L
s
.69825 .06704 m
.50168 .26361 L
s
.18696 .14115 m
.40385 .35805 L
s
.73013 .91693 m
.52566 .71246 L
s
.51869 .02418 m
.49999 .26191 L
s
.96629 .40341 m
.73809 .50002 L
s
.0249 .46743 m
.26189 .50002 L
s
.02432 .52267 m
.26189 .50002 L
s
.12094 .21176 m
.33554 .42636 L
s
.88886 .22515 m
.67605 .43797 L
s
.77986 .88531 m
.56633 .67178 L
s
.54913 .97369 m
.49999 .73812 L
s
.18878 .86047 m
.40555 .64369 L
s
.50073 .02381 m
.49999 .26191 L
s
.09401 .25111 m
.3024 .4595 L
s
.80909 .86228 m
.59246 .64565 L
s
.33789 .05225 m
.49999 .26191 L
s
.80829 .13708 m
.59172 .35365 L
s
.87344 .20454 m
.65803 .41995 L
s
.8662 .19561 m
.64995 .41187 L
s
.95385 .6442 m
.73809 .50002 L
s
.97372 .5485 m
.73809 .50002 L
s
.25848 .08959 m
.4654 .29651 L
s
.7957 .87329 m
.58026 .65786 L
s
.45234 .0262 m
.49999 .26191 L
s
.65314 .95093 m
.49999 .73812 L
s
.96803 .58781 m
.73809 .50002 L
s
.96968 .42153 m
.73809 .50002 L
s
.97157 .43379 m
.73809 .50002 L
s
.55847 .97263 m
.49999 .73812 L
s
.02703 .44446 m
.26189 .50002 L
s
.02709 .55608 m
.26189 .50002 L
s
.16471 .8382 m
.38239 .62052 L
s
.27496 .91971 m
.47827 .7164 L
s
.17708 .85003 m
.39449 .63262 L
s
.50695 .97618 m
.49999 .73812 L
s
.97507 .53279 m
.73809 .50002 L
s
.07995 .27565 m
.28311 .4788 L
s
.59233 .03285 m
.49999 .26191 L
s
.86673 .80379 m
.65053 .58759 L
s
.30746 .93558 m
.49999 .73812 L
s
.39906 .03463 m
.49999 .26191 L
s
.86228 .19095 m
.64565 .40758 L
s
.58784 .96806 m
.49999 .73812 L
s
.44837 .97342 m
.49999 .73812 L
s
.3522 .04732 m
.49999 .26191 L
s
.58263 .969 m
.49999 .73812 L
s
.92141 .72179 m
.71887 .51925 L
s
.03413 .40129 m
.26189 .50002 L
s
.02382 .49437 m
.26189 .50002 L
s
.66767 .94573 m
.49999 .73812 L
s
.87909 .78822 m
.66449 .57362 L
s
.05239 .33746 m
.26189 .50002 L
s
.43591 .9719 m
.49999 .73812 L
s
.28145 .07691 m
.48322 .27868 L
s
.15746 .1692 m
.37508 .38682 L
s
.69969 .93233 m
.50274 .73538 L
s
.94614 .33352 m
.73809 .50002 L
s
.3372 .94754 m
.49999 .73812 L
s
.1642 .83768 m
.38187 .62001 L
s
.72896 .91757 m
.52476 .71336 L
s
.18491 .85709 m
.40194 .64007 L
s
.0294 .4271 m
.26189 .50002 L
s
.45678 .97427 m
.49999 .73812 L
s
.78932 .12178 m
.57459 .33651 L
s
.21781 .11642 m
.43165 .33026 L
s
.1893 .13912 m
.40604 .35586 L
s
.95812 .62998 m
.73809 .50002 L
s
.09262 .2534 m
.30056 .46134 L
s
.95222 .35082 m
.73809 .50002 L
s
.09065 .74337 m
.29794 .53608 L
s
.96593 .40168 m
.73809 .50002 L
s
.94964 .65682 m
.73809 .50002 L
s
.04956 .65458 m
.26189 .50002 L
s
.58361 .96883 m
.49999 .73812 L
s
.8114 .13975 m
.59461 .35654 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{205, 205},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  FontFamily->"Courier New",
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003=0000cB000`400?l00000o`00003oc@3oool0
0<d0oooo003=0?ooo`00c@3oool00<d0oooo001R0?ooo`8000000P3oool010000000oooo0?ooo`00
001S0?ooo`00E`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool200000080oooo00@00000
0?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05L0oooo001B
0?ooo`@0000000<0oooo0000003oool00`3oool3000000<0oooo0P0000020?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0580oooo001A0?ooo`D000000P3oool010000000oooo0?ooo`3oool3000000<0oooo0P00
00020?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3oool0oooo000000050?ooo`04
0000003oool0oooo00000540oooo001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`00
00000`0000000`3oool000000?ooo`030?ooo`8000000`3oool200000080oooo00@000000?ooo`3o
ool000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000030?ooo`800000C03oool004L0oooo0`0000000`3oool000000?ooo`050?oo
o`D0000000<0oooo0000003oool00`3oool300000080oooo0P0000020?ooo`040000003oool0oooo
000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0
oooo000000<0oooo0P0000030?ooo`030000003oool0oooo04L0oooo00140?ooo`040000003oool0
oooo0?ooo`@000001P3oool00`000000oooo00000002000000030?ooo`000000oooo00<0oooo0`00
00020?ooo`8000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo000000030?ooo`040000003oool0oooo0?ooo`8000000P3oool00`00
0000oooo0?ooo`180?ooo`00@`3oool00`000000oooo000000020?ooo`<0000000<0oooo0000003o
ool01@3oool5000000030?ooo`000000oooo0080oooo0`0000020?ooo`8000000P3oool00`000000
oooo000000040?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?ooo`000003
0?ooo`8000000`3oool00`000000oooo0?ooo`030?ooo`800000@`3oool003l0oooo00<000000?oo
o`3oool00P3oool00`000000oooo000000020?ooo`@000001P3oool5000000030?ooo`000000oooo
0080oooo0`0000020?ooo`8000000P3oool00`000000oooo000000040?ooo`050000003oool0oooo
0?ooo`000000103oool010000000oooo0?ooo`0000030?ooo`8000000P3oool00`000000oooo0?oo
o`030?ooo`8000000P3oool00`000000oooo0?ooo`0o0?ooo`00?03oool01@000000oooo0?ooo`3o
ool0000000@0oooo0P0000030?ooo`@000001P3oool4000000030?ooo`000000oooo0080oooo0`00
00030?ooo`060000003oool0oooo0000003oool000000`3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`3oool200000080oooo00<00000
0?ooo`3oool00`3oool200000080oooo00D000000?ooo`3oool0oooo0000000n0?ooo`00>`3oool0
0`000000oooo000000030?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`<00000
00<0oooo0000003oool0103oool5000000030?ooo`000000oooo0080oooo0P0000030?ooo`060000
003oool0oooo0000003oool000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00@00000
0?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo0P0000020?ooo`050000
003oool0oooo0?ooo`000000?`3oool003T0oooo00H000000?ooo`3oool000000?ooo`0000030?oo
o`070000003oool0oooo0?ooo`000000oooo000000020?ooo`@000001@3oool00`000000oooo0000
0002000000030?ooo`000000oooo0080oooo0P0000030?ooo`060000003oool0oooo0000003oool0
00000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000`3oool2
00000080oooo00<000000?ooo`3oool00`3oool2000000030?ooo`000000oooo0080oooo00<00000
0?ooo`3oool0?P3oool003L0oooo00@000000?ooo`3oool000000P3oool00`000000oooo00000003
0?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`80000000<0oooo0000003oool0
103oool4000000030?ooo`000000oooo0080oooo0`0000020?ooo`060000003oool0oooo0000003o
ool000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000P3o
ool200000080oooo00<000000?ooo`3oool00`3oool2000000030?ooo`000000oooo0080oooo00<0
00000?ooo`3oool0?`3oool003H0oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`00
0000oooo000000<0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`@000001@3oool6000000<0
oooo0`0000020?ooo`80000000@0oooo0000003oool000000`3oool010000000oooo0?ooo`000004
0?ooo`030000003oool0000000<0oooo0P0000020?ooo`030000003oool0oooo0080oooo0P000000
0`3oool000000?ooo`020?ooo`030000003oool0oooo0400oooo000d0?ooo`060000003oool0oooo
0000003oool000000P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00@000000?ooo`3o
ool0oooo0P0000020?ooo`@000001@3oool4000000040?ooo`000000oooo0?ooo`<000000P3oool2
000000040?ooo`000000oooo000000<0oooo00@000000?ooo`3oool000000`3oool010000000oooo
0?ooo`0000020?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000003o
ool00P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03<0oooo000a0?ooo`050000
003oool0oooo0?ooo`0000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool2000000030?oo
o`000000oooo00<0oooo100000000`3oool000000?ooo`020?ooo`8000000P3oool2000000040?oo
o`000000oooo00000080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool00000
00<0oooo00@000000?ooo`3oool00000103oool200000080oooo00@000000?ooo`3oool000003@3o
ool010000000oooo0?ooo`00000c0?ooo`00<P3oool01@000000oooo0?ooo`3oool000000080oooo
00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00P000000?oo
o`3oool0oooo0000003oool000000?ooo`@000001@3oool5000000<0oooo0P0000020?ooo`800000
00@0oooo0000003oool000000P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?oo
o`3oool000000P3oool2000000030?ooo`000000oooo00<0oooo0P0000020?ooo`040000003oool0
oooo000000d0oooo00@000000?ooo`3oool00000=03oool003<0oooo00D000000?ooo`3oool0oooo
000000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`040000003oool0oooo0?ooo`8000000P3oool4000000@0oooo10000000103oool000000?ooo`3o
ool200000080oooo0P000000103oool000000?ooo`0000020?ooo`040000003oool0oooo000000<0
oooo00<000000?ooo`0000000P3oool200000080oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00/0oooo00@000000?ooo`3oool000001@3oool0
0`000000oooo0?ooo`0]0?ooo`00=03oool01@000000oooo0?ooo`3oool000000080oooo00<00000
0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3oool0
oooo0P0000020?ooo`<000001@3oool3000000040?ooo`000000oooo0?ooo`8000000P3oool20000
00040?ooo`000000oooo00000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000
00020?ooo`80000000<0oooo0000003oool00`3oool2000000050?ooo`000000oooo0?ooo`000000
3@3oool010000000oooo0?ooo`0000050?ooo`030000003oool0000002h0oooo000/0?ooo`030000
003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003oool0oooo0?ooo`8000000P3o
ool3000000@0oooo1@0000020?ooo`<0000000@0oooo000000000000oooo0P0000030?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`0000000P3oool2000000030?ooo`000000oooo00<0
oooo0P0000001@3oool000000?ooo`3oool0000000d0oooo00@000000?ooo`3oool000001@3oool0
1@000000oooo0000003oool0000002d0oooo000Z0?ooo`040000003oool0oooo000000P0oooo00D0
00000?ooo`3oool0oooo000000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000000000000P000003
0?ooo`@0000000@0oooo0000003oool0oooo0P000000103oool000000000003oool200000080oooo
00@000000?ooo`3oool000000`3oool00`000000oooo000000020?ooo`040000003oool0oooo0000
00<0oooo0P0000001@3oool000000?ooo`3oool0000000d0oooo00@000000?ooo`3oool000001@3o
ool01P000000oooo0000003oool000000?ooo`800000:`3oool002X0oooo0P0000020?ooo`030000
003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`070000003oool0oooo0000003oool00000
0?ooo`03000000@0oooo0`000000103oool000000?ooo`3oool2000000040?ooo`00000000000?oo
o`8000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080oooo0P000000
0`3oool000000?ooo`020?ooo`80000000D0oooo0000003oool0oooo0000000=0?ooo`040000003o
ool0oooo000000D0oooo00H000000?ooo`000000oooo0000003oool2000000030?ooo`000000oooo
02T0oooo000[0?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?oo
o`0000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo0?ooo`0200000080oooo0`0000030?ooo`D000000P3oool2000000040?ooo`00
000000000?ooo`8000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080
oooo00<000000?ooo`0000000`3oool2000000050?ooo`000000oooo0?ooo`0000003@3oool01000
0000oooo0?ooo`0000050?ooo`060000003oool000000?ooo`000000oooo0P0000000`3oool00000
0?ooo`0Z0?ooo`00;03oool200000080oooo00<000000?ooo`3oool01P3oool01@000000oooo0?oo
o`3oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00<000000?ooo`3oool00P000000103oool000000000000000040?ooo`@000000P3oool2
000000040?ooo`00000000000?ooo`8000000P3oool010000000oooo0?ooo`0000020?ooo`800000
0P3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool00`000000oooo
0?ooo`0;0?ooo`040000003oool0oooo000000D0oooo00H000000?ooo`000000oooo0000003oool2
000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool09P3oool002H0oooo00<000000?oo
o`3oool0103oool200000080oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0
00000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`3oool00P000000103oool000000000000000030?ooo`<0000000<0oooo0000003o
ool00P000000103oool000000000003oool200000080oooo00<000000?ooo`0000000P3oool01000
0000oooo0000003oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool0
0`000000oooo0?ooo`0;0?ooo`040000003oool0oooo000000D0oooo00H000000?ooo`000000oooo
0000003oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`0000009`3oool002@0oooo
00@000000?ooo`3oool000001P3oool200000080oooo00<000000?ooo`3oool01P3oool01@000000
oooo0?ooo`3oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`3oool00P000000103oool000000000000000030?ooo`@00000
00<0oooo0000000000000P3oool2000000040?ooo`000000oooo00000080oooo00<000000?ooo`3o
ool00P0000020?ooo`030000003oool0000000<0oooo0`0000020?ooo`030000003oool0oooo00/0
oooo00@000000?ooo`3oool000001@3oool01P000000oooo0000003oool000000?ooo`80000000<0
oooo0000003oool00P3oool00`000000oooo0000000X0?ooo`009@3oool010000000oooo0?ooo`00
00060?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool01@00
0000oooo000000000000oooo00<000000`3oool400000080oooo0P0000001`3oool000000000003o
ool000000?ooo`0000000P3oool01P000000oooo0000003oool000000?ooo`80000000@0oooo0000
003oool0oooo0`0000020?ooo`030000003oool0oooo00/0oooo00@000000?ooo`3oool000001@3o
ool01P000000oooo0000003oool000000?ooo`80000000<0oooo0000003oool00P3oool00`000000
oooo000000030?ooo`030000003oool0oooo02<0oooo000S0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool0103oool200000080oooo00<000000?ooo`3oool01P3oool01@000000
oooo0?ooo`3oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00D000000?ooo`00000000000?ooo`0300000080oooo1@000000103oool00000
0000003oool2000000060?ooo`000000oooo0000003oool000000P3oool01`000000oooo0000003o
ool000000?ooo`0000000P3oool300000080oooo00<000000?ooo`3oool02`3oool010000000oooo
0?ooo`0000050?ooo`060000003oool000000?ooo`000000oooo0P0000000`3oool000000?ooo`02
0?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000008`3oool002@0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`8000000P3oool00`000000oooo0?oo
o`060?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo000000020?ooo`060000
003oool0oooo0000003oool000000P3oool01@000000oooo000000000000oooo008000000`3oool4
000000040?ooo`00000000000?ooo`80000000/0oooo0000003oool000000?ooo`000000oooo0000
003oool000000?ooo`0300000080oooo0`0000020?ooo`030000003oool0oooo00/0oooo00@00000
0?ooo`3oool000001@3oool01P000000oooo0000003oool000000?ooo`80000000<0oooo0000003o
ool00P3oool00`000000oooo000000030?ooo`030000003oool0oooo00<000008P3oool002D0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`8000000P3oool00`000000
oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo000000020?oo
o`080000003oool0oooo0000003oool000000?ooo`0000020?ooo`D000000P3oool4000000040?oo
o`00000000000?ooo`80000000h0oooo0000003oool000000?ooo`000000oooo0000003oool00000
0?ooo`000000oooo00000080oooo00D000000?ooo`000000oooo0000000=0?ooo`040000003oool0
oooo000000D0oooo00H000000?ooo`000000oooo0000003oool2000000030?ooo`000000oooo0080
oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`0500000240oooo000P0?ooo`030000
003oool0oooo00<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`80
00000P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`0000000P3oool00`00
0000oooo000000020?ooo`080000003oool0oooo0000003oool000000?ooo`0000020?ooo`030000
003oool00000008000000P3oool3000000040?ooo`00000000000?ooo`80000000L0oooo0000003o
ool000000?ooo`000000oooo0080000000@0oooo0000003oool000000P3oool01@000000oooo0000
003oool0000000d0oooo00@000000?ooo`3oool000001@3oool01P000000oooo0000003oool00000
0?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo000000030?ooo`030000003oool0
oooo00D000008P3oool00240oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`030000003oool0oooo00H0oooo00D00000
0?ooo`3oool0oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3o
ool010000000oooo0000003oool2000000030?ooo`00000000000080oooo100000000`3oool00000
0?ooo`03000000070?ooo`000000oooo0000003oool000000?ooo`0400000080oooo00D000000?oo
o`000000oooo0000000=0?ooo`040000003oool0oooo000000D0oooo00H000000?ooo`000000oooo
0000003oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`05000002<0oooo000R0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`040?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`05
0000003oool0oooo0?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool00000
0080oooo00@000000?ooo`000000oooo1@0000020?ooo`<0000000<0oooo0000000000000`000000
1@3oool000000?ooo`000000oooo0080000000D0oooo0000003oool000000?ooo`03000000030?oo
o`000000oooo00`0oooo00@000000?ooo`3oool000001@3oool01P000000oooo0000003oool00000
0?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo000000030?ooo`030000003oool0
oooo00D00000903oool001d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool200000080oooo00<00000
0?ooo`3oool01P3oool01@000000oooo0?ooo`3oool000000080oooo0P0000030?ooo`030000003o
ool000000080oooo00@000000?ooo`000000oooo100000020?ooo`<0000000<0oooo000000000000
0`0000000`3oool000000?ooo`02000000030?ooo`00000000000080000000H0oooo000000000000
00000?ooo`00000=0?ooo`040000003oool0oooo000000D0oooo00H000000?ooo`000000oooo0000
003oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`05000002D0oooo000N0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`030000
003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000`3oool00`000000
oooo000000020?ooo`060000003oool000000?ooo`000000oooo0P0000000`3oool0000000000007
000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo0`0000000`3oool00000
0?ooo`0<0?ooo`040000003oool0oooo000000D0oooo00H000000?ooo`000000oooo0000003oool2
000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`05
000000P0oooo00<000000?ooo`3oool06`3oool001l0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool2
00000080oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool000000080oooo0P00
00030?ooo`030000003oool000000080oooo00@000000?ooo`000000oooo100000000`3oool00000
00000006000000040?ooo`00000000000?ooo`<0000000<0oooo0000003oool00P0000000`3oool0
00000?ooo`0;0?ooo`8000000P3oool00`000000oooo0?ooo`030?ooo`060000003oool000000?oo
o`000000oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo00<00000
0?ooo`3oool01@0000080?ooo`030000003oool0000001`0oooo000P0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00@0oooo0P0000020?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`8000000`3oool00`000000oooo000000020?ooo`030000003oool0000000@0000000D0
oooo00000000000000000?ooo`05000000050?ooo`00000000000000003oool00P0000001@3oool0
00000000003oool0000000`0oooo00<000000?ooo`3oool00P0000050?ooo`060000003oool00000
0?ooo`000000oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo00<0
00000?ooo`3oool01@0000080?ooo`030000003oool0000001d0oooo000Q0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo00@0oooo0P0000020?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo
000000020?ooo`8000000`3oool00`000000oooo000000020?ooo`030000003oool0000000@00000
00@0oooo000000000000oooo1P0000000`3oool0000000000002000000050?ooo`00000000000?oo
o`000000303oool010000000oooo0?ooo`0000060?ooo`060000003oool000000?ooo`000000oooo
0P0000000`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0
1@0000080?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0603oool00280oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool0103oool200000080oooo00<000000?ooo`3oool01P3oool01@000000oooo
0?ooo`3oool000000080oooo0P0000030?ooo`030000003oool000000080oooo00<000000?ooo`00
00000`0000000`3oool000000000000;000000050?ooo`00000000000?ooo`000000303oool01000
0000oooo0?ooo`0000060?ooo`060000003oool000000?ooo`000000oooo0P0000000`3oool00000
0?ooo`020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool01@0000080?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000006@3oool001P0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo0?ooo`040?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`050000
003oool0oooo0?ooo`0000000P3oool2000000<0oooo00<000000?ooo`0000000P3oool00`000000
oooo00000003000000030?ooo`000000000000`0000000<0oooo0000003oool02`3oool010000000
oooo0?ooo`0000060?ooo`060000003oool000000?ooo`000000oooo0P0000000`3oool000000?oo
o`020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool01@0000080?ooo`030000003o
ool0000000<0oooo00<000000?ooo`0000006P3oool001T0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`040?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`050000003o
ool0oooo0?ooo`0000000P3oool2000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo
0000000@000000030?ooo`000000oooo00/0oooo00@000000?ooo`3oool000001P3oool01P000000
oooo0000003oool000000?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo00000003
0?ooo`030000003oool0oooo00D00000203oool00`000000oooo000000030?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool05P3oool001H0oooo00D000000?ooo`3oool0oooo0000000:
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`8000001`3oool01@000000oooo0?oo
o`3oool000000080oooo0P0000030?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P0000000`3oool0000000000007000000040?ooo`000000oooo000000`0oooo00@000000?ooo`3o
ool000001P3oool01P000000oooo0000003oool000000?ooo`80000000<0oooo0000003oool00P3o
ool00`000000oooo000000030?ooo`030000003oool0oooo00D00000203oool00`000000oooo0000
00030?ooo`030000003oool000000080oooo00<000000?ooo`0000005`3oool001L0oooo00D00000
0?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`800000
1`3oool01@000000oooo0?ooo`3oool000000080oooo0P0000030?ooo`030000003oool000000080
oooo00<000000?ooo`000000300000000`3oool000000?ooo`0;0?ooo`040000003oool0oooo0000
00H0oooo00H000000?ooo`000000oooo0000003oool2000000030?ooo`000000oooo0080oooo00<0
00000?ooo`0000000`3oool00`000000oooo0?ooo`05000000P0oooo00<000000?ooo`0000000`3o
ool00`000000oooo000000020?ooo`030000003oool0000001P0oooo000H0?ooo`050000003oool0
oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`8000000P3oool2000000L0oooo
00D000000?ooo`3oool0oooo000000020?ooo`8000000`3oool00`000000oooo000000020?ooo`l0
0000303oool010000000oooo0?ooo`0000060?ooo`050000003oool000000?ooo`0000000P3oool0
0`000000oooo000000030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool01@000008
0?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0000000I
0?ooo`00503oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000002P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`040?ooo`8000000P3oool2000000L0oooo00D000000?ooo`3oool0oooo
000000020?ooo`8000000`3oool00`000000oooo000000020?ooo`d00000303oool010000000oooo
0?ooo`0000060?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo000000030?oo
o`030000003oool0000000<0oooo00<000000?ooo`3oool01@0000080?ooo`030000003oool00000
00<0oooo00<000000?ooo`0000000P3oool00`000000oooo0000000J0?ooo`005@3oool00`000000
oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`04
0?ooo`8000000P3oool2000000L0oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000`3o
ool00`000000oooo000000020?ooo`/00000303oool010000000oooo0?ooo`0000060?ooo`050000
003oool000000?ooo`0000000P3oool00`000000oooo000000030?ooo`030000003oool0000000<0
oooo00<000000?ooo`3oool01@0000080?ooo`030000003oool0000000<0oooo00<000000?ooo`00
00000P3oool00`000000oooo0000000K0?ooo`005P3oool00`000000oooo0?ooo`020?ooo`050000
003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`8000000P3oool20000
00L0oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000`3oool00`000000oooo00000002
0?ooo`T00000303oool010000000oooo0?ooo`0000060?ooo`050000003oool000000?ooo`000000
0P3oool00`000000oooo000000040?ooo`8000000`3oool00`000000oooo0?ooo`05000000P0oooo
00<000000?ooo`0000000`3oool00`000000oooo000000020?ooo`030000003oool0000001`0oooo
000B0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
2P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0
00000?ooo`02000000H0oooo0P0000020?ooo`8000001`3oool01@000000oooo0?ooo`3oool00000
0080oooo0P0000030?ooo`030000003oool000000080oooo1`00000<0?ooo`040000003oool0oooo
000000H0oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool0000000@0oooo0P00
00030?ooo`030000003oool0oooo00D00000203oool00`000000oooo000000030?ooo`030000003o
ool000000080oooo00<000000?ooo`000000203oool2000001<0oooo000B0?ooo`<000000`3oool0
0`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool000000?ooo`02000000H0oooo
0P0000020?ooo`8000001`3oool01@000000oooo0?ooo`3oool000000080oooo0P0000030?ooo`03
0000003oool000000080oooo1@00000<0?ooo`040000003oool0oooo000000H0oooo00D000000?oo
o`000000oooo000000020?ooo`030000003oool0000000@0oooo0P0000030?ooo`030000003oool0
oooo00D00000203oool00`000000oooo000000030?ooo`030000003oool000000080oooo00<00000
0?ooo`000000203oool2000001@0oooo000C0?ooo`<000000`3oool00`000000oooo0?ooo`020?oo
o`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00<0oooo00D000000?ooo`3oool000000?ooo`02000000H0oooo0P0000020?ooo`8000001`3o
ool01@000000oooo0?ooo`3oool000000080oooo0P0000030?ooo`030000003oool000000080oooo
0`00000<0?ooo`040000003oool0oooo000000H0oooo00D000000?ooo`000000oooo000000020?oo
o`030000003oool0000000@0oooo0P0000030?ooo`030000003oool0oooo00D00000203oool00`00
0000oooo000000030?ooo`030000003oool000000080oooo00<000000?ooo`000000203oool20000
01D0oooo000D0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?oo
o`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00D000000?oo
o`3oool000000?ooo`02000000H0oooo0P0000020?ooo`8000001`3oool01@000000oooo0?ooo`3o
ool000000080oooo0P0000030?ooo`030000003oool000000080oooo00<000000?ooo`3oool02P3o
ool010000000oooo0?ooo`0000060?ooo`050000003oool000000?ooo`0000000P3oool00`000000
oooo000000040?ooo`8000000`3oool00`000000oooo0?ooo`05000000P0oooo00<000000?ooo`00
00000`3oool00`000000oooo000000020?ooo`030000003oool0000000P0oooo0P00000F0?ooo`00
5@3oool3000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000X0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0000
003oool00P0000060?ooo`8000000P3oool2000000L0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`8000000`3oool00`000000oooo0000000=0?ooo`040000003oool0oooo000000H0oooo00D0
00000?ooo`000000oooo000000020?ooo`030000003oool0000000@0oooo0P0000030?ooo`030000
003oool0oooo00D00000203oool00`000000oooo000000030?ooo`030000003oool000000080oooo
00<000000?ooo`000000203oool2000000D0oooo00<000000?ooo`3oool03`3oool00100oooo00<0
00000?ooo`3oool00`3oool3000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?oo
o`3oool0000000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000
003oool0oooo0000003oool00P0000060?ooo`8000000P3oool2000000L0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`8000000`3oool00`000000oooo0?ooo`0;0?ooo`040000003oool0oooo
000000H0oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool0000000@0oooo0P00
00030?ooo`030000003oool0oooo00D00000203oool00`000000oooo000000030?ooo`030000003o
ool000000080oooo00<000000?ooo`000000203oool2000000D0oooo0P00000A0?ooo`003`3oool0
0`000000oooo000000050?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`050000003oool0
oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00D0
00000?ooo`3oool000000?ooo`02000000H0oooo0P0000020?ooo`8000001`3oool01@000000oooo
0?ooo`3oool000000080oooo0P00000?0?ooo`040000003oool0oooo000000H0oooo00D000000?oo
o`000000oooo000000020?ooo`030000003oool0000000@0oooo0P0000030?ooo`030000003oool0
oooo00D00000203oool00`000000oooo000000030?ooo`030000003oool000000080oooo00<00000
0?ooo`000000203oool2000000D0oooo0P0000000`3oool000000?ooo`0?0?ooo`003`3oool20000
00030?ooo`000000oooo00@0oooo0`0000030?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo0000000:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
1@000000oooo0?ooo`000000oooo008000001P3oool200000080oooo0P0000070?ooo`050000003o
ool0oooo0?ooo`0000000P3oool2000000d0oooo00@000000?ooo`3oool000001P3oool01@000000
oooo0000003oool000000080oooo00<000000?ooo`000000103oool2000000<0oooo00<000000?oo
o`3oool01@0000080?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000080?ooo`8000001@3oool2000000030?ooo`000000oooo0100oooo000>0?ooo`06
0000003oool000000000003oool000001@3oool3000000<0oooo00<000000?ooo`3oool00P3oool0
1@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`030?ooo`050000003oool0oooo0000003oool00P0000060?ooo`8000000P3oool2000000L0oooo
00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3o
ool000001P3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`000000103oool2
000000<0oooo00<000000?ooo`3oool01@0000080?ooo`030000003oool0000000<0oooo00<00000
0?ooo`0000000P3oool00`000000oooo000000080?ooo`8000001@3oool2000000050?ooo`000000
oooo0?ooo`0000003`3oool000h0oooo0P0000001@3oool000000000003oool0000000D0oooo0`00
00030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000:0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`000000oooo0080
00001P3oool200000080oooo0P0000070?ooo`050000003oool0oooo0?ooo`0000003@3oool01000
0000oooo0?ooo`0000060?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo0000
00040?ooo`8000000`3oool00`000000oooo0?ooo`05000000P0oooo00<000000?ooo`0000000`3o
ool00`000000oooo000000020?ooo`030000003oool0000000P0oooo0P0000050?ooo`80000000@0
oooo0000003oool0oooo0P00000?0?ooo`003`3oool2000000050?ooo`00000000000?ooo`000000
1@3oool3000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000X0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0000
003oool00P0000060?ooo`8000000P3oool2000000L0oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`040?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo00000004
0?ooo`8000000`3oool00`000000oooo0?ooo`05000000T0oooo0P0000030?ooo`030000003oool0
00000080oooo00<000000?ooo`000000203oool2000000D0oooo0P000000103oool000000?ooo`3o
ool200000100oooo000@0?ooo`80000000D0oooo000000000000oooo000000050?ooo`<000000`3o
ool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool000000?ooo`02000000H0
oooo0P0000020?ooo`8000001`3oool00`000000oooo0?ooo`0E0?ooo`050000003oool000000?oo
o`0000000P3oool00`000000oooo000000040?ooo`8000000`3oool00`000000oooo0?ooo`050000
00T0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool00000
00P0oooo0P0000050?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`030000003oool0
oooo00`0oooo000<0?ooo`030000003oool0oooo0080oooo0P0000001@3oool000000000003oool0
000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000
000:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?oo
o`000000oooo008000001P3oool200000080oooo0P00000M0?ooo`050000003oool000000?ooo`00
00000P3oool00`000000oooo000000040?ooo`8000000`3oool00`000000oooo0?ooo`05000000T0
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool0000000P0
oooo0P0000050?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`030000003oool00000
00d0oooo000<0?ooo`800000103oool2000000050?ooo`00000000000?ooo`0000001@3oool30000
00<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000X0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0000003oool00P00
00060?ooo`8000000P3oool2000001/0oooo00D000000?ooo`000000oooo000000020?ooo`030000
003oool0000000@0oooo0P0000030?ooo`030000003oool0oooo00D000002@3oool00`000000oooo
000000020?ooo`030000003oool000000080oooo00<000000?ooo`000000203oool2000000D0oooo
0P000000103oool000000?ooo`3oool200000080oooo00@000000?ooo`00000000003@3oool000d0
oooo0P0000040?ooo`80000000D0oooo000000000000oooo000000050?ooo`<000000`3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`8000002@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool000000?ooo`02000000H0oooo0P00
00020?ooo`8000006@3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`000000
103oool2000000<0oooo00<000000?ooo`3oool01@0000090?ooo`030000003oool000000080oooo
00<000000?ooo`0000000P3oool00`000000oooo000000080?ooo`8000001@3oool2000000040?oo
o`000000oooo0?ooo`8000000P3oool00`000000oooo00000003000000`0oooo000>0?ooo`800000
103oool2000000050?ooo`00000000000?ooo`0000001@3oool3000000<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0000003oool00P0000060?oo
o`8000000P3oool2000001T0oooo00<000000?ooo`0000000P3oool00`000000oooo000000040?oo
o`8000000`3oool00`000000oooo0?ooo`05000000T0oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000020?ooo`030000003oool0000000P0oooo0P0000050?ooo`80000000@0oooo0000
003oool0oooo0P0000020?ooo`030000003oool0000000@00000303oool000/0oooo00@000000?oo
o`3oool0oooo0P0000040?ooo`80000000D0oooo000000000000oooo000000050?ooo`<000000`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool00000
0?ooo`02000000H0oooo0P0000020?ooo`030000003oool0oooo01P0oooo00H000000?ooo`3oool0
00000?ooo`0000040?ooo`8000000`3oool00`000000oooo0?ooo`05000000T0oooo00<000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`030000003oool0000000P0oooo0P0000050?oo
o`80000000@0oooo0000003oool0oooo0P0000020?ooo`030000003oool0000000@000003@3oool0
00X0oooo00<000000?ooo`0000000`3oool2000000@0oooo0P0000001@3oool000000000003oool0
000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
1@000000oooo0?ooo`000000oooo008000001P3oool2000001h0oooo00<000000?ooo`000000103o
ool2000000<0oooo00<000000?ooo`3oool01@0000090?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000080?ooo`8000001@3oool2000000040?ooo`00
0000oooo0?ooo`8000000P3oool00`000000oooo0000000400000080oooo00<000000?ooo`3oool0
2@3oool000X0oooo0P0000000`3oool000000?ooo`020?ooo`800000103oool2000000050?ooo`00
000000000?ooo`0000001@3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`050000003oool0oooo0000003oool00P0000060?ooo`030000003oool0oooo01d0
oooo00<000000?ooo`3oool00P3oool2000000<0oooo00<000000?ooo`3oool01@0000090?ooo`03
0000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000080?ooo`80
00001@3oool2000000040?ooo`000000oooo0?ooo`8000000P3oool00`000000oooo000000040000
0080oooo00<000000?ooo`3oool02P3oool000/0oooo1@0000020?ooo`800000103oool200000005
0?ooo`00000000000?ooo`0000001@3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`050000003oool0oooo0000003oool00P00000Y0?ooo`8000000`3oool0
0`000000oooo0?ooo`05000000T0oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`030000003oool0000000P0oooo0P0000050?ooo`80000000@0oooo0000003oool0oooo0P00
00020?ooo`030000003oool0000000<000000P3oool2000000d0oooo000<0?ooo`<0000000<0oooo
0000003oool00P3oool00`000000oooo0?ooo`020?ooo`80000000D0oooo000000000000oooo0000
00050?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00D0
00000?ooo`3oool000000?ooo`02000002L0oooo0P0000030?ooo`030000003oool0oooo00D00000
2@3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`000000
203oool2000000D0oooo0P000000103oool000000?ooo`3oool200000080oooo00<000000?ooo`00
00000`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool000T0oooo
00<000000?ooo`3oool00P3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool0
0P3oool2000000050?ooo`00000000000?ooo`0000001@3oool3000000<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0000003oool00P00000U0?oo
o`8000000`3oool00`000000oooo0?ooo`05000000T0oooo00<000000?ooo`0000000P3oool00`00
0000oooo000000020?ooo`030000003oool0000000P0oooo0P0000050?ooo`80000000@0oooo0000
003oool0oooo0P0000020?ooo`030000003oool0000000<000000P3oool010000000oooo0?ooo`3o
ool2000000/0oooo00080?ooo`@000000`3oool2000000030?ooo`000000oooo0080oooo0P000003
0?ooo`80000000D0oooo000000000000oooo000000050?ooo`<000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00<0oooo00H000000?ooo`3oool000000?ooo`00000Y0?ooo`03
0000003oool0oooo00D000002@3oool00`000000oooo000000020?ooo`030000003oool000000080
oooo00<000000?ooo`000000203oool2000000D0oooo0P000000103oool000000?ooo`3oool20000
0080oooo1P0000020?ooo`050000003oool0oooo0?ooo`0000003@3oool000P0oooo1@0000030?oo
o`@000000`3oool2000000<0oooo0P0000001@3oool000000000003oool0000000D0oooo0`000003
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`00
000Y0?ooo`030000003oool0oooo00D000002@3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo00<000000?ooo`000000203oool2000000D0oooo0P000000103oool000000?oo
o`3oool200000080oooo1P0000000`3oool00000000000030?ooo`030000003oool0oooo00`0oooo
00090?ooo`H000000`3oool400000080oooo0P0000030?ooo`80000000D0oooo000000000000oooo
000000050?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0:`3oool5000000T0oooo00<000000?ooo`0000000P3oool00`000000oooo
000000020?ooo`030000003oool0000000P0oooo0P0000050?ooo`80000000@0oooo0000003oool0
oooo0P0000020?ooo`H0000000<0oooo0000003oool00P3oool2000000D0oooo00<000000?ooo`3o
ool01`3oool000/0oooo1@0000030?ooo`80000000@0oooo0000003oool0oooo0P0000030?ooo`80
000000D0oooo000000000000oooo000000050?ooo`<000000`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo02l0oooo1@0000090?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P3oool00`000000oooo000000080?ooo`800000103oool3000000040?ooo`000000oooo
0?ooo`8000000P3oool500000080oooo00D000000?ooo`3oool0oooo000000050?ooo`8000002P3o
ool000d0oooo1@0000020?ooo`@000000P3oool2000000<0oooo0P0000001@3oool000000000003o
ool0000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0;`3o
ool3000000T0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003o
ool0000000P0oooo0P0000040?ooo`<0000000@0oooo0000003oool0oooo0P0000020?ooo`D00000
00<0oooo0000000000000P3oool2000000@0oooo0P0000020?ooo`030000003oool0oooo00L0oooo
00070?ooo`030000003oool0oooo00@0oooo1@0000030?ooo`<000000P3oool2000000<0oooo0P00
00000`3oool0000000000002000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`070?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000080?ooo`800000103oool3000000040?ooo`00
0000oooo0?ooo`8000000P3oool5000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`02000000X0oooo00080?ooo`8000001P3oool4000000<0oooo0`00
00020?ooo`8000000`3oool2000000030?ooo`0000000000008000001@3oool3000000<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0?@3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<0
00000?ooo`000000203oool2000000@0oooo0`0000020?ooo`040000003oool0000000000080oooo
1@000000103oool000000?ooo`3oool2000000@0oooo0P0000000`3oool000000000000<0?ooo`00
2P3oool2000000D0oooo1@0000020?ooo`@0000000<0oooo0000000000000`3oool2000000030?oo
o`0000000000008000001@3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0>`3oool00`000000oooo
000000020?ooo`030000003oool000000080oooo00<000000?ooo`000000203oool2000000@0oooo
0`0000020?ooo`040000003oool0000000000080oooo1@0000001@3oool000000?ooo`3oool00000
00@0oooo0P0000000`3oool000000000000>0?ooo`001P3oool2000000@0oooo0P0000050?ooo`@0
00000P3oool4000000030?ooo`000000000000<0oooo0P0000000`3oool0000000000002000000D0
oooo0`0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo03T0oooo00<000000?ooo`0000000P3oool00`000000
oooo000000020?ooo`030000003oool0000000P0oooo0P0000040?ooo`<000000P3oool010000000
oooo0000000000020?ooo`L000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool00000
000000H0oooo0`0000070?ooo`00203oool2000000@0oooo0P0000050?ooo`@000000P3oool30000
00030?ooo`000000000000<0oooo0P0000000`3oool0000000000002000000D0oooo0`0000030?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`110?oo
o`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000080?oo
o`800000103oool300000080oooo00D000000?ooo`00000000000?ooo`05000000040?ooo`000000
oooo0?ooo`8000000`3oool2000000030?ooo`000000oooo00D0oooo1@0000070?ooo`001P3oool2
00000080oooo0P0000040?ooo`800000103oool400000080oooo0`0000000`3oool0000000000003
0?ooo`80000000<0oooo0000000000000P0000050?ooo`<000000`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0?`3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`000000203oool2000000@0oooo0`000002
0?ooo`050000003oool000000000003oool01@0000001@3oool000000?ooo`3oool0000000<0oooo
0P0000000`3oool00000000000050?ooo`D000002@3oool000H0oooo100000020?ooo`800000103o
ool2000000@0oooo10000000103oool000000000000000020?ooo`040000003oool0oooo0?ooo`80
000000<0oooo0000000000000P0000050?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0?`3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`000000203oool2000000@0oooo0`0000020?ooo`050000003oool0
00000000003oool01@0000000`3oool000000?ooo`02000000<0oooo00@000000?ooo`0000000000
1@3oool500000080oooo0P0000070?ooo`001P3oool7000000040?ooo`0000000000000000<0oooo
0P0000030?ooo`@000000P3oool3000000030?ooo`000000oooo0080oooo0P0000000`3oool00000
00000002000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`100?ooo`030000003oool000000080oooo00<000000?ooo`000000
203oool2000000@0oooo0`0000020?ooo`050000003oool000000000003oool01`0000000`3oool0
00000?ooo`020?ooo`@000001@3oool500000080oooo100000070?ooo`00203oool700000080oooo
0P0000030?ooo`8000000`3oool4000000060?ooo`00000000000000003oool000000`3oool20000
00030?ooo`0000000000008000001@3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0400oooo00H000000?ooo`3oool000000?ooo`00
00080?ooo`800000103oool300000080oooo00D000000?ooo`00000000000?ooo`0600000080oooo
00<000000?ooo`3oool0100000040?ooo`D000000P3oool5000000T0oooo00050?ooo`<000000`3o
ool7000000030?ooo`000000000000<0oooo0P0000030?ooo`<0000000H0oooo0000000000000000
0?ooo`0000030?ooo`80000000<0oooo0000000000000P0000050?ooo`<000000`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo04H0oooo00<000000?ooo`000000203oool2000000@0
oooo0`0000020?ooo`050000003oool000000000003oool01P0000000`3oool00000000000020?oo
o`030000003oool0000000@0oooo1@0000000`3oool0000000000003000000`0oooo00070?ooo`@0
00000P3oool7000000030?ooo`000000000000<0oooo0P0000020?ooo`@0000000D0oooo00000000
0000oooo000000030?ooo`80000000<0oooo0000000000000P0000050?ooo`<000000`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo04@0oooo00<000000?ooo`000000203oool20000
00@0oooo0`0000020?ooo`050000003oool000000000003oool010000000103oool000000?ooo`00
00020?ooo`@000000`3oool5000000030?ooo`000000000000<000001P3oool2000000H0oooo000:
0?ooo`@000000P3oool:00000080oooo0P0000020?ooo`<0000000D0oooo000000000000oooo0000
00030?ooo`80000000<0oooo0000000000000P0000050?ooo`<000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool01P3oool2000000@0oooo0`00
00020?ooo`050000003oool000000000003oool0200000000`3oool0000000000002000000<0oooo
100000000`3oool0000000000003000000D0oooo100000080?ooo`001@3oool2000000H0oooo1000
00020?ooo`H0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`08000000<0oooo0P00
00000`3oool0000000000002000000D0oooo0`0000030?ooo`030000003oool0oooo0500oooo0P00
00040?ooo`<000000P3oool01@000000oooo000000000000oooo00D0000000@0oooo0000003oool0
oooo0`0000030?ooo`@0000000<0oooo0000000000000P0000050?ooo`<00000303oool000L0oooo
100000060?ooo`@0000000<0oooo0000000000001P0000000`3oool00000000000020?ooo`<00000
00@0oooo00000000000000000`3oool2000000030?ooo`0000000000008000001@3oool3000000<0
oooo00<000000?ooo`3oool0CP3oool2000000@0oooo0`0000020?ooo`050000003oool000000000
003oool01`000000103oool000000000000000030?ooo`P000001@3oool3000000l0oooo000;0?oo
o`@000001@3oool<000000030?ooo`00000000000080oooo1`0000020?ooo`80000000<0oooo0000
000000000P0000050?ooo`<00000DP3oool2000000@0oooo0`0000020?ooo`050000003oool00000
0000003oool01P000000103oool000000000000000020?ooo`T000000`3oool400000180oooo0005
0?ooo`<000001`3oool4000000@0oooo2`000000103oool000000000003oool700000080oooo0P00
00000`3oool0000000000002000000D0oooo0`00001@0?ooo`800000103oool300000080oooo00D0
00000?ooo`00000000000?ooo`06000000050?ooo`00000000000000003oool0200000030?ooo`<0
00005P3oool000P0oooo1@0000060?ooo`@000000`3oool=000000030?ooo`000000000000@00000
0P3oool2000000030?ooo`0000000000008000001@3oool200000500oooo00<000000?ooo`3oool0
0P3oool300000080oooo00D000000?ooo`00000000000?ooo`09000000030?ooo`000000000000D0
00000P3oool4000001T0oooo00050?ooo`@00000103oool6000000@0oooo100000020?oooa800000
0P3oool2000000030?ooo`000000000000800000FP3oool300000080oooo00D000000?ooo`000000
00000?ooo`08000000030?ooo`000000000000@000000P3oool3000001d0oooo00050?ooo`/00000
0`3oool5000000<0oooo100000020?ooo`l000000P3oool2000000030?ooo`000000000000800000
F03oool300000080oooo00D000000?ooo`00000000000?ooo`07000000030?ooo`000000000000<0
000000<0oooo0000000000000P00000P0?ooo`00103ooolC000000030?ooo`000000000000<00000
0P3oool4000000030?ooo`000000000000/000000P3oool2000000030?ooo`000000000000800000
E`3oool200000080oooo00D000000?ooo`00000000000?ooo`0?000002@0oooo00090?ooobT00000
0P3oool2000000040?ooo`0000000000000005X0oooo00D000000?ooo`00000000000?ooo`0=0000
01/0oooo1`0000050?ooo`00103oool9000000H0oooo800000020?ooo`80000000<0oooo0000003o
ool0F@3oool01@000000oooo000000000000oooo00/000004P3oool<000000`0oooo00040?oooc00
00000P3oool2000005`0oooo0P0000000`3oool0000000000006000000X0oooo3000000H0?ooo`00
4@3ooolT00000640oooo1P0000000`3oool000000000000:000000H0oooo6@0000050?ooo`00:@3o
ool>000005h0oooo6P00000N0?ooo`004@3ooolU000000030?ooo`000000oooo05d0oooo3000000=
0?oooaT000001@3oool000@0oooo3@0000060?ooo``00000103oool>000000030?ooo`000000oooo
05l0oooo4`00000S0?ooo`002`3oool<000000X0oooo2P0000020?ooo`D0000000@0oooo0000003o
ool000000P3oool2000005P0oooo00<000000?ooo`3oool00`3oool;000000030?ooo`0000000000
00<0000000<0oooo0000000000001P00000K0?ooo`00103oool700000100oooo1P0000000`3oool0
000000000002000000@0oooo1`000000103oool000000?ooo`0000020?ooo`80000000<0oooo0000
003oool0E`3oool00`000000oooo0?ooo`030?ooo`h000000P3oool5000000@0oooo2000000C0?oo
o`005@3oool6000000<0oooo100000060?ooo`P0000000@0oooo0000003oool000000P3oool20000
00040?ooo`0000000000000005P0oooo00<000000?ooo`3oool00`3oool2000000030?ooo`000000
000000`000000`3oool6000000H0oooo2000000;0?ooo`003`3oool6000000@0oooo1@0000070?oo
o`X0000000@0oooo0000003oool000000P3oool2000000040?ooo`0000000000000005D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`L0000000@0oooo000000000000oooo
200000060?ooo`D000002@3oool5000000H0oooo00090?ooo`H000001P3oool4000000X0oooo2P00
00020?ooo`030000003oool000000080oooo0P000000103oool000000000000000020?ooo`030000
003oool0oooo0580oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`<00000
00<0oooo0000000000000P000000103oool000000000003oool:000000L0oooo1@00000?0?ooo`00
1@3oool4000000L0oooo1@00000;0?ooo`@000000P3oool3000000030?ooo`00000000000080oooo
00<000000?ooo`0000000P3oool2000000040?ooo`000000000000000080oooo00<000000?ooo`3o
ool0E03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0`0000000`3oool0
000000000003000000030?ooo`00000000000080oooo2`0000080?ooo`H000002@3oool000`0oooo
1000000>0?ooo`@000000P3oool3000000040?ooo`000000000000000080oooo00<000000?ooo`00
00000P3oool2000000040?ooo`000000000000000080oooo00<000000?ooo`3oool0EP3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0`0000000`3oool00000000000040000
00030?ooo`000000000000<0oooo3000000:0?ooo`<000001P3oool000P0oooo1000000@0?ooo`@0
00000P3oool4000000040?ooo`000000000000000080oooo00<000000?ooo`0000000P3oool20000
00040?ooo`000000000000000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1A
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool300000080oooo0P000000
0`3oool00000000000020?ooo`800000103oool<00000100oooo00050?ooo`<000004@3oool40000
00<0oooo100000020?ooo`<000000P3oool00`000000oooo000000020?ooo`80000000@0oooo0000
0000000000000P3oool00`000000oooo0?ooo`040?ooo`800000B@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool300000080oooo0`000000
0`3oool00000000000020?ooo`<00000103oool=000000`0oooo000G0?ooo`@000000`3oool40000
0080oooo0`0000030?ooo`030000003oool000000080oooo0P000000103oool00000000000000002
0?ooo`030000003oool0oooo00@0oooo0P0000000`3oool00000000000180?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`<000000P3oool3
000000040?ooo`0000000000000000<0oooo0P0000040?ooo`l00000203oool001@0oooo1@000003
0?ooo`D000000P3oool3000000<0oooo00<000000?ooo`0000000P3oool2000000040?ooo`000000
000000000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000004X0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0`00
00030?ooo`<0000000@0oooo00000000000000000`3oool2000000D0oooo3P0000060?ooo`004P3o
ool4000000@0oooo1@0000020?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo0000
00020?ooo`80000000@0oooo00000000000000000P3oool00`000000oooo0?ooo`040?ooo`800000
00<0oooo000000000000C03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool3000000<0oooo0`0000020?ooo`<000000`3oool2000000H0oooo
200000000`3oool00000000000060?ooo`003`3oool5000000@0oooo0P0000000`3oool000000000
00030?ooo`@000000`3oool00`000000oooo000000020?ooo`80000000@0oooo0000000000000000
0P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000000000001@3oool00`000000oooo
0?ooo`0o0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00<0oooo0`0000040?ooo`<000000P3oool2000000@0oooo
0P0000070?ooo`L000001`3oool000d0oooo0P0000000`3oool00000000000050?ooo`030000003o
ool00000008000000`3oool3000000@0oooo00<000000?ooo`0000000P3oool2000000040?ooo`00
0000000000000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo
00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`<00000103oool4000000040?oo
o`0000000000000000@0oooo0`0000060?ooo`D000001`3oool000X0oooo1P0000050?ooo`D00000
0`3oool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`0000000P3oool2000000040?oo
o`000000000000000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0
oooo00@000000?ooo`3oool00000?@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00<0oooo0`0000040?ooo`@000000P3oool3000000D0oooo0P0000070?ooo`8000001`3oool000P0
oooo0P0000000`3oool00000000000060?ooo`D00000103oool2000000030?ooo`000000oooo00<0
oooo00<000000?ooo`0000000P3oool2000000040?ooo`000000000000000080oooo00<000000?oo
o`3oool0103oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000?`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0`0000050?ooo`@000000P3oool3
000000D0oooo0P00000>0?ooo`001P3oool2000000030?ooo`000000000000H0oooo0P000000103o
ool000000000000000030?ooo`D00000103oool00`000000oooo000000020?ooo`80000000@0oooo
00000000000000000P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000000000001@3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`@00000103oool4000000<0oooo0`0000050?ooo`800000
303oool000L0oooo0P0000060?ooo`80000000@0oooo0000000000000000103oool2000000030?oo
o`000000oooo00<0oooo0P000000103oool000000?ooo`3oool2000000040?ooo`00000000000000
0080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo00@000000?oo
o`3oool00000103oool00`000000oooo0000000l0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool4000000D0oooo100000020?ooo`<000001P3oool2000000X0oooo000=0?oo
o`80000000@0oooo00000000000000001@3oool2000000030?ooo`000000oooo00<0oooo00@00000
0?ooo`3oool000000P3oool2000000040?ooo`000000000000000080oooo00<000000?ooo`3oool0
103oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000103oool00`000000
oooo0000000n0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`02000000D0oooo00@000000?ooo`00000000000`3oool3000000H0oooo0P0000080?oo
o`002`3oool200000080oooo0`0000040?ooo`<0000000<0oooo0000003oool00`3oool010000000
oooo0?ooo`0000020?ooo`80000000@0oooo00000000000000000P3oool00`000000oooo0?ooo`04
0?ooo`80000000<0oooo0000000000001@3oool010000000oooo0?ooo`0000040?ooo`030000003o
ool0000003L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00P0000050?ooo`D000000`3oool3000000h0oooo0009
0?ooo`8000000P3oool3000000D0oooo0P0000000`3oool00000000000040?ooo`040000003oool0
oooo00000080oooo0P000000103oool000000000000000020?ooo`030000003oool0oooo00@0oooo
0P0000000`3oool00000000000050?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`00
0000=`3oool00`000000oooo000000080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`02000000H0oooo100000030?ooo`@00000303oool000P0oooo
00<000000?ooo`3oool00`0000060?ooo`80000000<0oooo0000003oool0103oool010000000oooo
0?ooo`0000020?ooo`80000000@0oooo00000000000000000P3oool00`000000oooo0?ooo`040?oo
o`80000000<0oooo0000000000001@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0
000000H0oooo0P00000^0?ooo`80000000@0oooo0000003oool00000203oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool01@000000oooo0?oo
o`3oool0000000D0oooo00<000000?ooo`3oool00P0000060?ooo`030000003oool0000000800000
0`3oool4000000X0oooo00090?ooo`@000001@3oool3000000030?ooo`000000oooo00@0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`0300000080oooo00<000000?ooo`3oool0
103oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000103oool00`000000
oooo000000060?ooo`800000<03oool2000000040?ooo`000000oooo000000P0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00D000000?oo
o`3oool0oooo000000050?ooo`030000003oool0oooo008000001P3oool5000000@0oooo0`000009
0?ooo`00203oool3000000H0oooo0P0000020?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0300000080oooo00<000000?ooo`3oool0103oool2
000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo0000
00060?ooo`800000<P3oool2000000040?ooo`000000oooo000000P0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00D000000?ooo`3oool0
oooo000000050?ooo`030000003oool0oooo008000001`3oool00`000000oooo00000002000000@0
oooo00<000000?ooo`3oool01`3oool000P0oooo00<000000?ooo`3oool0103oool300000080oooo
00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000000000001@3oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0000000H0oooo0P0000040?ooo`030000003o
ool0oooo02d0oooo0P000000103oool000000?ooo`0000080?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`00
00001@3oool00`000000oooo0?ooo`02000000L0oooo1@00000=0?ooo`003P3oool3000000030?oo
o`000000000000D0oooo00@000000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo00@00000
0?ooo`3oool00000103oool00`000000oooo000000060?ooo`800000103oool00`000000oooo0000
000_0?ooo`80000000@0oooo0000003oool00000203oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000D0
oooo00<000000?ooo`3oool00P0000080?ooo`030000003oool00000008000002`3oool000d0oooo
0P0000020?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000
000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo000000060?ooo`800000103o
ool01@000000oooo0000003oool0000002D0oooo00<000000?ooo`3oool01`3oool2000000040?oo
o`000000oooo000000P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00P0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo
00800000203oool00`000000oooo00000002000000X0oooo000;0?ooo`<000000P3oool00`000000
oooo0?ooo`040?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool0oooo00@0oooo0P0000000`3oool00000000000050?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`0000001P3oool2000000@0oooo00H000000?ooo`000000
oooo0000003oool2000002@0oooo00<000000?ooo`3oool01`3oool2000000040?ooo`000000oooo
000000P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00P0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00800000203o
ool2000000030?ooo`000000oooo00T0oooo000:0?ooo`<000000P3oool00`000000oooo0?ooo`04
0?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`03
0000003oool0oooo00@0oooo0P0000000`3oool00000000000050?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`0000001P3oool2000000@0oooo00H000000?ooo`000000oooo0000003o
ool2000002H0oooo00<000000?ooo`3oool01`3oool2000000040?ooo`000000oooo000000P0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo
00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo008000002@3oool00`000000
oooo0?ooo`090?ooo`002P3oool00`000000oooo0?ooo`02000000H0oooo00@000000?ooo`3oool0
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool0103oool2
000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo0000
00060?ooo`800000103oool01P000000oooo0000003oool000000?ooo`8000008`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo0P000000103oool000000?ooo`0000080?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?oo
o`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`03000001<0oooo000<0?oo
o`030000003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo
00@000000?ooo`3oool00000103oool00`000000oooo000000060?ooo`800000103oool01P000000
oooo0000003oool000000?ooo`8000008`3oool00`000000oooo000000040?ooo`030000003oool0
oooo00L0oooo0P000000103oool000000?ooo`0000080?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`000000
1@3oool01P000000oooo0?ooo`000000oooo00000180oooo000;0?ooo`030000003oool0oooo00D0
oooo00@000000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<0
00000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000
103oool00`000000oooo000000060?ooo`800000103oool01P000000oooo0000003oool000000?oo
o`8000009@3oool00`000000oooo000000040?ooo`030000003oool0oooo00L0oooo0P000000103o
ool000000?ooo`0000080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000001@3oool01P000000oooo0?oo
o`000000oooo00000140oooo000B0?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`030000003oool0oooo00@0oooo0P0000000`3oool0000000000005
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`0000001P3oool2000000@0oooo00H0
00000?ooo`000000oooo0000003oool200000280oooo0P0000030?ooo`030000003oool0000000@0
oooo00<000000?ooo`3oool01`3oool2000000040?ooo`000000oooo000000P0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00D000000?oo
o`3oool0oooo000000050?ooo`060000003oool0oooo0000003oool00000403oool00140oooo00@0
00000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`3oool0103oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool00000103oool0
0`000000oooo000000060?ooo`800000103oool01P000000oooo0000003oool000000?ooo`800000
2`3oool00`000000oooo0?ooo`0E0?ooo`<000000`3oool00`000000oooo000000040?ooo`030000
003oool0oooo00L0oooo0P000000103oool000000?ooo`0000080?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?oo
o`0000001@3oool01P000000oooo0?ooo`000000oooo000000l0oooo000@0?ooo`040000003oool0
oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00@0
oooo0P0000000`3oool00000000000050?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`0000001P3oool2000000@0oooo00H000000?ooo`000000oooo0000003oool2000000/0oooo00<0
00000?ooo`3oool05`3oool3000000<0oooo00<000000?ooo`000000103oool00`000000oooo0?oo
o`070?ooo`80000000@0oooo0000003oool00000203oool00`000000oooo0?ooo`020?ooo`800000
1@3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000001@3oool01P000000
oooo0?ooo`000000oooo000000h0oooo000?0?ooo`040000003oool0oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00@0oooo0P0000000`3oool00000
000000050?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`0000001P3oool2000000@0
oooo00H000000?ooo`000000oooo0000003oool2000000/0oooo00D000000?ooo`3oool0oooo0000
000G0?ooo`<000000`3oool00`000000oooo000000040?ooo`030000003oool0oooo00L0oooo0P00
0000103oool000000?ooo`0000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000001@3oool01P000000
oooo0?ooo`000000oooo000000d0oooo000>0?ooo`040000003oool0oooo00000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00@0oooo0P0000000`3oool00000
000000050?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`0000001P3oool2000000@0
oooo00H000000?ooo`000000oooo0000003oool2000000/0oooo00@000000?ooo`3oool0oooo0`00
000G0?ooo`<000000`3oool00`000000oooo000000040?ooo`030000003oool0oooo00L0oooo0P00
0000103oool000000?ooo`0000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000
oooo0?ooo`00000>0?ooo`003@3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000000000001@3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0000000H0oooo0P0000040?ooo`060000
003oool000000?ooo`000000oooo0P00000;0?ooo`040000003oool0oooo0?ooo`@00000403oool0
0`000000oooo0?ooo`050?ooo`<000000`3oool00`000000oooo000000040?ooo`030000003oool0
oooo00L0oooo0P000000103oool000000?ooo`0000080?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`000000
1@3oool00`000000oooo0?ooo`0>0?ooo`003`3oool010000000oooo0?ooo`0000020?ooo`030000
003oool000000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo
00@000000?ooo`3oool00000103oool00`000000oooo000000060?ooo`800000103oool01P000000
oooo0000003oool000000?ooo`8000002`3oool010000000oooo0?ooo`3oool400000080oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`050?ooo`<000000`3oool00`000000oooo0000
00040?ooo`030000003oool0oooo00L0oooo0P000000103oool000000?ooo`0000080?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`050000
003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`0=0?ooo`003P3oool010000000oooo
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0103oool200000003
0?ooo`000000000000D0oooo00@000000?ooo`3oool000001@3oool2000000H0oooo0P0000040?oo
o`060000003oool000000?ooo`000000oooo0P00000;0?ooo`040000003oool0oooo0?ooo`@00000
0P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00D0oooo0`0000030?ooo`030000
003oool0000000@0oooo00<000000?ooo`3oool01`3oool2000000040?ooo`000000oooo000000P0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0
oooo00D000000?ooo`3oool0oooo0000000D0?ooo`00403oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo00@00000
0?ooo`3oool000001@3oool2000000H0oooo0P0000040?ooo`060000003oool000000?ooo`000000
oooo0P00000;0?ooo`040000003oool0oooo0?ooo`@000000P3oool010000000oooo0?ooo`00000:
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool3000000<0oooo00<00000
0?ooo`000000103oool00`000000oooo0?ooo`070?ooo`80000000@0oooo0000003oool00000203o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203o
ool01@000000oooo0?ooo`3oool0000001<0oooo000?0?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000000000001@3oool010000000
oooo0?ooo`0000050?ooo`8000001P3oool2000000@0oooo00H000000?ooo`000000oooo0000003o
ool2000000/0oooo00@000000?ooo`3oool0oooo100000020?ooo`060000003oool0oooo0000003o
ool000001`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo0`000003
0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool01`3oool2000000040?ooo`000000
oooo000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00P0oooo00D000000?ooo`3oool0oooo0000000B0?ooo`004@3oool00`000000oooo0000
00020?ooo`030000003oool0oooo00@0oooo0P0000000`3oool00000000000050?ooo`040000003o
ool0oooo000000D0oooo0P0000060?ooo`800000103oool01P000000oooo0000003oool000000?oo
o`8000002`3oool010000000oooo0?ooo`3oool400000080oooo00H000000?ooo`3oool000000?oo
o`0000090?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool3000000<0
oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`070?ooo`80000000@0oooo0000003o
ool00000203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0203oool01@000000oooo0?ooo`3oool000000140oooo000@0?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo00@000000?oo
o`3oool000001@3oool2000000H0oooo0P0000040?ooo`060000003oool000000?ooo`000000oooo
0P00000;0?ooo`040000003oool0oooo0?ooo`@000000P3oool01P000000oooo0?ooo`000000oooo
000000P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00D0oooo0`0000030?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool01`3o
ool2000000040?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04P3oool00140oooo00@0
00000?ooo`3oool000001P3oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool0
00001@3oool2000000H0oooo00<000000?ooo`3oool00`3oool01P000000oooo0000003oool00000
0?ooo`8000002`3oool010000000oooo0?ooo`3oool400000080oooo00H000000?ooo`3oool00000
0?ooo`0000060?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000005
0?ooo`030000003oool0oooo00D0oooo0`0000030?ooo`030000003oool0000000@0oooo00<00000
0?ooo`3oool01`3oool2000000040?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04@3o
ool001<0oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000D0oooo00@00000
0?ooo`3oool000001@3oool2000000H0oooo00<000000?ooo`3oool00`3oool01P000000oooo0000
003oool000000?ooo`8000002`3oool010000000oooo0?ooo`3oool400000080oooo00H000000?oo
o`3oool000000?ooo`0000060?ooo`<000000`3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool3000000<0oooo00<000000?ooo`000000
103oool00`000000oooo0?ooo`070?ooo`80000000@0oooo0000003oool00000203oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0@0?ooo`004P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo000000000000
1@3oool010000000oooo0?ooo`0000050?ooo`8000001P3oool00`000000oooo0?ooo`030?ooo`06
0000003oool000000?ooo`000000oooo0P00000;0?ooo`040000003oool0oooo0?ooo`@000000P3o
ool01P000000oooo0?ooo`000000oooo000000H0oooo1@0000030?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`<000000`3oool00`00
0000oooo000000040?ooo`030000003oool0oooo00L0oooo0P000000103oool000000?ooo`000008
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0J
0?ooo`00603oool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool000001@3oool2
000000H0oooo00<000000?ooo`3oool00`3oool01P000000oooo0000003oool000000?ooo`800000
2`3oool010000000oooo0?ooo`3oool400000080oooo00H000000?ooo`3oool000000?ooo`000006
0?ooo`L000000`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01@3oool3000000<0oooo00<000000?ooo`000000103oool00`000000oooo0?oo
o`070?ooo`80000000@0oooo0000003oool00000203oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool06@3oool001L0oooo0P0000000`3oool000000000
00050?ooo`040000003oool0oooo000000D0oooo0P0000060?ooo`030000003oool0oooo00<0oooo
00H000000?ooo`000000oooo0000003oool2000000/0oooo00@000000?ooo`3oool0oooo10000002
0?ooo`060000003oool0oooo0000003oool000001P3oool9000000<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo0`0000030?ooo`03
0000003oool0000000@0oooo0P0000080?ooo`80000000@0oooo0000003oool00000203oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool001H0
oooo0P0000000`3oool00000000000050?ooo`040000003oool0oooo000000D0oooo0P0000060?oo
o`030000003oool0oooo00<0oooo00H000000?ooo`000000oooo0000003oool2000000/0oooo00@0
00000?ooo`3oool0oooo100000020?ooo`060000003oool0oooo0000003oool000001P3oool90000
00030?ooo`000000oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00D0oooo0`0000030?ooo`030000003oool0000000D0oooo00<00000
0?ooo`3oool01P3oool2000000040?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01L0oooo000E0?ooo`80000000<0oooo
0000000000001@3oool010000000oooo0?ooo`0000050?ooo`8000001P3oool00`000000oooo0?oo
o`030?ooo`090000003oool000000?ooo`000000oooo0000003oool0000000X0oooo00@000000?oo
o`3oool0oooo100000020?ooo`060000003oool0oooo0000003oool000001P3oool;000000030?oo
o`000000oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00D0oooo0`0000030?ooo`030000003oool0000000D0oooo00<000000?ooo`3o
ool01P3oool2000000040?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo01H0oooo000E0?ooo`040000003oool000000000
00D0oooo00@000000?ooo`3oool000001@3oool2000000H0oooo00<000000?ooo`3oool00`3oool0
2@000000oooo0000003oool000000?ooo`000000oooo0000000:0?ooo`040000003oool0oooo0?oo
o`@000000P3oool01P000000oooo0?ooo`000000oooo000000H0oooo3@0000000`3oool000000?oo
o`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`050?ooo`<000000`3oool00`000000oooo000000050?ooo`030000003oool0oooo00H0oooo
0P000000103oool000000?ooo`0000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0E0?ooo`005P3oool2000000D0oooo00@000000?ooo`3oool0
00001@3oool2000000H0oooo00<000000?ooo`3oool00`3oool02@000000oooo0000003oool00000
0?ooo`000000oooo0000000:0?ooo`040000003oool0oooo0?ooo`@000000P3oool01P000000oooo
0?ooo`000000oooo000000H0oooo3`0000000`3oool000000?ooo`020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`<000000P3oool2
000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool01P3oool2000000040?ooo`000000
oooo000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo01@0oooo000F0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000001@3o
ool2000000H0oooo00<000000?ooo`3oool00`3oool02@000000oooo0000003oool000000?ooo`00
0000oooo0000000:0?ooo`040000003oool0oooo0?ooo`@000000P3oool01P000000oooo0?ooo`00
0000oooo000000H0oooo4@0000000`3oool000000?ooo`020?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`<000000P3oool200000003
0?ooo`000000oooo00@0oooo00<000000?ooo`3oool01P3oool2000000040?ooo`000000oooo0000
00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0I0?ooo`006`3oool010000000
oooo0?ooo`0000050?ooo`8000001P3oool00`000000oooo0?ooo`030?ooo`090000003oool00000
0?ooo`000000oooo0000003oool0000000X0oooo00@000000?ooo`3oool0oooo100000020?ooo`06
0000003oool0oooo0000003oool000001P3ooolC000000030?ooo`000000oooo0080oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo1000
00001@3oool000000000003oool0000000D0oooo00<000000?ooo`3oool01P3oool2000000040?oo
o`000000oooo000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0H0?ooo`00
6P3oool010000000oooo0?ooo`0000050?ooo`8000001P3oool00`000000oooo0?ooo`030?ooo`09
0000003oool000000?ooo`000000oooo0000003oool0000000T0oooo0P0000030?ooo`@000000P3o
ool01P000000oooo0?ooo`000000oooo000000H0oooo1`0000000`3oool000000000000;00000003
0?ooo`000000oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00D0oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo
00@0oooo00<000000?ooo`3oool01P3oool2000000040?ooo`000000oooo000000P0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0G0?ooo`006@3oool010000000oooo0?ooo`000005
0?ooo`8000001P3oool00`000000oooo0?ooo`030?ooo`090000003oool000000?ooo`000000oooo
0000003oool0000000T0oooo00<000000?ooo`3oool00P3oool400000080oooo00H000000?ooo`3o
ool000000?ooo`0000060?ooo`<0000000<0oooo0000000000001`0000000`3oool0000000000002
000000040?ooo`000000000000000080oooo00D000000?ooo`3oool0oooo000000020?ooo`040000
003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool2000000030?ooo`000000oooo0080
000000<0oooo0000003oool0103oool00`000000oooo0?ooo`060?ooo`80000000@0oooo0000003o
ool00000203oool00`000000oooo0?ooo`0L0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`80
00001P3oool00`000000oooo0?ooo`030?ooo`090000003oool000000?ooo`000000oooo0000003o
ool0000000T0oooo00<000000?ooo`3oool00P3oool400000080oooo00H000000?ooo`3oool00000
0?ooo`0000060?ooo`<0000000D0oooo00000000000000000?ooo`06000000030?ooo`0000000000
0080000000<0oooo0000000000000P0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool0
10000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000?oo
o`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool01P3oool2000000040?ooo`00
0000oooo000000P0oooo00<000000?ooo`3oool06`3oool001X0oooo00<000000?ooo`3oool00`3o
ool2000000H0oooo00<000000?ooo`3oool00`3oool02@000000oooo0000003oool000000?ooo`00
0000oooo000000090?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool0
1P000000oooo0?ooo`000000oooo000000H0oooo0`0000001`3oool00000000000000000oooo0000
003oool0100000000`3oool0000000000004000000030?ooo`0000000000008000000P3oool01@00
0000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`050?ooo`80000000<0oooo0000003oool00P0000000`3oool000000?ooo`040?ooo`030000003o
ool0oooo00H0oooo0P000000103oool000000?ooo`0000080?ooo`030000003oool0oooo01X0oooo
000O0?ooo`8000001P3oool00`000000oooo0?ooo`030?ooo`090000003oool000000?ooo`000000
oooo0000003oool0000000T0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?oo
o`060000003oool0oooo0000003oool000001P3oool3000000030?ooo`00000000000080000000<0
oooo000000000000100000000`3oool0000000000004000000030?ooo`000000oooo00<000000P3o
ool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000001@3oool00`000000
oooo0?ooo`050?ooo`80000000<0oooo0000003oool00P0000000`3oool000000?ooo`040?ooo`03
0000003oool0oooo00H0oooo0P000000103oool000000?ooo`00000T0?ooo`007P3oool2000000H0
oooo00<000000?ooo`3oool00`3oool02@000000oooo0000003oool000000?ooo`000000oooo0000
00090?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool01P000000oooo0?oo
o`000000oooo000000H0oooo0`0000000`3oool0000000000002000000030?ooo`000000oooo00D0
000000<0oooo0000000000001@0000000`3oool000000?ooo`0300000080oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool2
000000030?ooo`000000oooo0080000000<0oooo0000003oool0103oool00`000000oooo0?ooo`06
0?ooo`80000000@0oooo0000003oool000008`3oool001d0oooo0P0000060?ooo`030000003oool0
oooo00<0oooo00T000000?ooo`000000oooo0000003oool000000?ooo`0000002@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0000000<0oooo00H000000?ooo`00000000000?ooo`000006
0?ooo`@0000000<0oooo0000000000000P0000000`3oool000000?ooo`05000000030?ooo`000000
000000D000000P3oool500000080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003o
ool0000000800000103oool00`000000oooo0?ooo`050?ooo`80000000<0oooo0000003oool00P00
00000`3oool000000?ooo`040?ooo`030000003oool0oooo00H0oooo0P000000103oool000000?oo
o`00000R0?ooo`007@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00T0
00000?ooo`000000oooo0000003oool000000?ooo`0000002@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`040?oo
o`@0000000<0oooo0000000000000P0000000`3oool000000?ooo`06000000030?ooo`0000000000
00H0000000<0oooo0000003oool0100000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
00020?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool01@3oool2000000030?ooo`00
0000oooo0080000000<0oooo0000003oool0103oool00`000000oooo0?ooo`060?ooo`80000000@0
oooo0000003oool000008@3oool002<0oooo00<000000?ooo`3oool00`3oool02@000000oooo0000
003oool000000?ooo`000000oooo000000090?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00@0oooo10000000103o
ool000000000003oool2000000030?ooo`000000oooo00H0000000<0oooo0000003oool01P000002
0?ooo`030000003oool00000008000000`3oool010000000oooo0?ooo`3oool300000080oooo00<0
00000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`80000000<0oooo0000003oool00P00
00000`3oool000000?ooo`040?ooo`030000003oool0oooo00H0oooo0P000000103oool000000?oo
o`00000P0?ooo`008P3oool00`000000oooo0?ooo`030?ooo`090000003oool000000?ooo`000000
oooo0000003oool0000000T0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?oo
o`030000003oool000000080oooo00<000000?ooo`3oool00`3oool5000000030?ooo`000000oooo
00<0000000@0oooo0000003oool0oooo1P0000000`3oool000000?ooo`07000000030?ooo`000000
oooo00@000000`3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`000000103o
ool00`000000oooo0?ooo`050?ooo`80000000<0oooo0000003oool00P0000000`3oool000000?oo
o`040?ooo`030000003oool0oooo00H0oooo0P0000000`3oool000000?ooo`0P0?ooo`008@3oool0
0`000000oooo0?ooo`030?ooo`090000003oool000000?ooo`000000oooo0000003oool0000000T0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0000000200000080oooo100000020?ooo`04
0000003oool000000?ooo`D0000000D0oooo0000003oool000000?ooo`0500000080oooo00<00000
0?ooo`0000000`0000030?ooo`040000003oool0oooo0?ooo`<000000P3oool00`000000oooo0000
00040?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000?ooo`02000000030?ooo`00
0000oooo00@0oooo00<000000?ooo`3oool01P3oool200000280oooo000V0?ooo`090000003oool0
00000?ooo`000000oooo0000003oool0000000T0oooo00<000000?ooo`3oool00P3oool00`000000
oooo000000030?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0200000080oooo0P0000001@3oool000000000003oool000000080oooo10000000203o
ool000000000003oool000000?ooo`000000oooo100000001P3oool000000?ooo`3oool000000?oo
o`@000000`3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`050?ooo`80000000<0oooo0000003oool00P0000000`3oool000000?ooo`04
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0803oool002D0oooo00T000000?oo
o`000000oooo0000003oool000000?ooo`0000002@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo008000000P3oool2000000030?ooo`00000000000080oooo00<000000?ooo`3oool0
100000001P3oool000000000003oool000000?ooo`P000000P3oool00`000000oooo000000040000
00<0oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000003oool0000000@0oooo00<00000
0?ooo`3oool01@3oool2000000030?ooo`000000oooo0080000000<0oooo0000003oool0103oool0
0`000000oooo0?ooo`0X0?ooo`00903oool02@000000oooo0000003oool000000?ooo`000000oooo
000000090?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo
000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P0000020?ooo`080000
003oool000000000003oool000000?ooo`0000020?ooo`030000003oool000000080000000H0oooo
000000000000oooo0000003oool8000000<0oooo00<000000?ooo`000000100000030?ooo`040000
003oool0oooo0?ooo`<000000P3oool00`000000oooo000000040?ooo`030000003oool0oooo00D0
oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3o
ool09`3oool002D0oooo00L000000?ooo`000000oooo0000003oool0000000T0oooo00<000000?oo
o`3oool00P3oool00`000000oooo000000030?ooo`030000003oool000000080oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`02000000<0oooo0P0000000`3oool00000000000020?oo
o`030000003oool0oooo00H0000000D0oooo0000003oool000000?ooo`0900000080oooo00<00000
0?ooo`3oool01@0000030?ooo`040000003oool0oooo0?ooo`<000000P3oool00`000000oooo0000
00040?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000?ooo`02000000030?ooo`00
0000oooo00@0oooo00<000000?ooo`3oool09P3oool002H0oooo00D000000?ooo`000000oooo0000
00090?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo0000
00020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P0000030?ooo`80000000@0
oooo0000003oool000000P3oool010000000oooo0000003oool600000080oooo00D000000?ooo`3o
ool000000?ooo`02000000040?ooo`0000000000000000<0oooo00<000000?ooo`3oool010000004
0?ooo`040000003oool0oooo0?ooo`<000000P3oool00`000000oooo000000040?ooo`030000003o
ool0oooo00D0oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo00@0oooo00<0
00000?ooo`3oool09@3oool002L0oooo00<000000?ooo`0000002@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00<000000P3oool01P000000oooo000000000000oooo00000080oooo
00L000000?ooo`3oool000000?ooo`000000oooo00@000000P3oool01`000000oooo0?ooo`000000
oooo0000003oool01@0000030?ooo`050000003oool000000000003oool00P0000040?ooo`040000
003oool0oooo0?ooo`<000000P3oool00`000000oooo000000040?ooo`030000003oool0oooo00D0
oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo02/0oooo000X0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?ooo`030000
003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0300000080oooo
00@000000?ooo`000000oooo0P0000030?ooo`050000003oool0oooo0000003oool00`0000000`3o
ool00000000000020?ooo`050000003oool0oooo0000003oool01`0000030?ooo`030000003oool0
oooo00D00000103oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`000000103o
ool00`000000oooo0?ooo`050?ooo`80000000<0oooo0000003oool00P0000000`3oool000000?oo
o`0Z0?ooo`00<@3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000<0oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<000000`3oool2
000000040?ooo`000000oooo00000080oooo00D000000?ooo`3oool000000?ooo`04000000030?oo
o`00000000000080oooo00<000000?ooo`3oool01@0000001@3oool000000000003oool0000000<0
oooo00<000000?ooo`3oool01@0000040?ooo`040000003oool0oooo0?ooo`<000000P3oool00`00
0000oooo000000040?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000?ooo`020000
00030?ooo`000000oooo02T0oooo000`0?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
00000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`0000030?ooo`040000003oool000000?ooo`8000000`3oool01@000000oooo0?ooo`000000
oooo00@0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`02000000040?ooo`000000
00000?ooo`@000000`3oool01@000000oooo0?ooo`000000oooo00@00000103oool010000000oooo
0?ooo`3oool300000080oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`80
000000<0oooo0000003oool00P00000[0?ooo`00;`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<000000`3oool01`000000oooo0000003oool000000?ooo`0000000P3oool02000
0000oooo0?ooo`3oool000000?ooo`000000oooo0P0000000`3oool00000000000020?ooo`030000
003oool0oooo0080000000<0oooo0000003oool0100000000`3oool000000?ooo`020?ooo`030000
003oool0oooo0080000000@0oooo0000000000000000103oool010000000oooo0?ooo`3oool30000
0080oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`80000000<0oooo0000
003oool0;03oool002h0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?ooo`03
0000003oool000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`03000000<0
oooo00L000000?ooo`000000oooo0000003oool0000000<0oooo00@000000?ooo`3oool000000P3o
ool01@000000oooo000000000000oooo008000000P3oool01P000000oooo0?ooo`3oool000000?oo
o`<0000000<0oooo0000000000000P0000040?ooo`030000003oool0oooo0080000000@0oooo0000
000000000000103oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`000000103o
ool00`000000oooo0?ooo`050?ooo`800000;P3oool00380oooo00<000000?ooo`0000000`3oool0
0`000000oooo000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`000003
0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?ooo`3o
ool000000?ooo`<0000000<0oooo0000003oool00P0000020?ooo`060000003oool0oooo0?ooo`00
0000oooo0`0000001P3oool00000000000000000oooo000000<0oooo00@000000?ooo`3oool0oooo
0`0000000`3oool000000?ooo`040?ooo`040000003oool0oooo0?ooo`<000000P3oool00`000000
oooo000000040?ooo`030000003oool0oooo03@0oooo000a0?ooo`030000003oool0000000<0oooo
00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<00000
103oool01`000000oooo0000003oool000000?ooo`0000000`3oool01P000000oooo0?ooo`3oool0
00000?ooo`@000000P3oool200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000
003oool0000000<0000000<0oooo0000003oool00`3oool01@000000oooo0?ooo`000000oooo00@0
00001@3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`000000103oool00`00
0000oooo0?ooo`0c0?ooo`00<P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<00000103oool01`000000oooo0000003o
ool000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080oooo00P000000?ooo`00
000000000?ooo`000000oooo00000080oooo00@000000?ooo`3oool0oooo0P0000001@3oool00000
0?ooo`000000oooo00<0000000<0oooo0000003oool00P3oool010000000oooo0?ooo`3oool20000
00040?ooo`0000000000000000D0oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000003o
ool0000000@0oooo00<000000?ooo`3oool0<P3oool003D0oooo00<000000?ooo`0000000P3oool0
0`000000oooo0?ooo`030?ooo`060000003oool0oooo0000003oool00000103oool00`000000oooo
000000020?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`08
0000003oool000000000003oool000000?ooo`0000020?ooo`040000003oool0oooo0?ooo`800000
00D0oooo00000000000000000?ooo`03000000030?ooo`000000oooo00<0oooo00@000000?ooo`3o
ool0oooo0P000000103oool000000000000000050?ooo`040000003oool0oooo0?ooo`<000000P3o
ool00`000000oooo0000000h0?ooo`00=P3oool010000000oooo0?ooo`0000050?ooo`050000003o
ool0oooo0000003oool00P0000030?ooo`080000003oool0oooo0000003oool000000?ooo`000004
0?ooo`060000003oool0oooo0?ooo`000000oooo0`0000001P3oool000000?ooo`000000oooo0000
0080oooo00@000000?ooo`3oool0oooo0P0000001@3oool00000000000000000oooo00D000001@3o
ool01@000000oooo0?ooo`000000oooo0080000000<0oooo0000000000001@3oool010000000oooo
0?ooo`3oool300000080oooo00<000000?ooo`000000=`3oool003P0oooo00<000000?ooo`3oool0
0`3oool01@000000oooo0?ooo`000000oooo00800000103oool01@000000oooo0000003oool00000
0080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00<0000000H0oooo
0000003oool000000?ooo`0000030?ooo`030000003oool0oooo0080000000H0oooo000000000000
oooo0000003oool3000000030?ooo`000000oooo00<0oooo00H000000?ooo`3oool0oooo0000003o
ool2000000030?ooo`000000000000D0oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000
003oool0oooo03H0oooo000m0?ooo`050000003oool0oooo0000003oool00P0000040?ooo`030000
003oool000000080oooo00<000000?ooo`000000103oool01@000000oooo0?ooo`3oool000000080
oooo00T000000?ooo`000000oooo0000003oool000000?ooo`0000000`3oool01@000000oooo0?oo
o`3oool000000080oooo00@000000?ooo`000000oooo0`0000000`3oool000000?ooo`040?ooo`04
0000003oool0oooo0?ooo`80000000<0oooo0000003oool00P0000050?ooo`040000003oool0oooo
0?ooo`<00000>P3oool003`0oooo00D000000?ooo`3oool000000?ooo`02000000@0oooo00P00000
0?ooo`3oool000000?ooo`000000oooo000000@0oooo00<000000?ooo`3oool00P3oool01@000000
oooo000000000000oooo008000000P3oool00`000000oooo000000030?ooo`050000003oool0oooo
0?ooo`0000000P3oool3000000030?ooo`00000000000080000000<0oooo0000003oool00`3oool0
20000000oooo0?ooo`3oool000000?ooo`000000oooo0`0000060?ooo`050000003oool0oooo0?oo
o`000000>`3oool003h0oooo00@000000?ooo`0000000000103oool010000000oooo0?ooo`000002
0?ooo`030000003oool0000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`80000000<0
oooo0000000000000P3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000
00H0oooo000000000000oooo0000003oool3000000030?ooo`000000oooo00@0oooo00P000000?oo
o`3oool0oooo0000003oool000000?ooo`<000001P3oool00`000000oooo0?ooo`0l0?ooo`00?`3o
ool2000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo000000040?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`000000103oool000000?ooo`3oool2000000@0oooo
00@000000?ooo`3oool0oooo0P0000001P3oool000000000003oool000000?ooo`@0000000<0oooo
0000003oool0103oool01P000000oooo0?ooo`3oool000000?ooo`80000000<0oooo000000000000
A03oool004D0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo0080oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo0P000004
0?ooo`040000003oool0oooo0?ooo`8000000P3oool010000000oooo0000003oool4000000030?oo
o`000000oooo00@0oooo00<000000?ooo`3oool00P3oool2000000030?ooo`000000oooo00800000
@`3oool004@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000040?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P000000103oool000000?ooo`0000020?ooo`80
0000103oool010000000oooo0?ooo`3oool200000080oooo0P0000000`3oool000000?ooo`030000
0080oooo00<000000?ooo`3oool00`3oool02@000000oooo0?ooo`3oool000000?ooo`000000oooo
000000150?ooo`00AP3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000080?ooo`000000oooo0000003o
ool000000?ooo`0000040?ooo`040000003oool0oooo0?ooo`8000000P3oool2000000030?ooo`00
0000oooo00@0000000<0oooo0000003oool0103oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo04H0oooo001;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`02000000030?ooo`00000000000080oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0080000000<0oooo0000003oool010000002
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0BP3oool00500oooo00<000000?oo
o`3oool00P3oool02@000000oooo0?ooo`3oool000000?ooo`000000oooo000000020?ooo`030000
003oool0000000@0oooo00<000000?ooo`3oool00P3oool200000080oooo00<000000?ooo`000000
0P3oool4000000030?ooo`000000oooo0540oooo001E0?ooo`030000003oool0oooo0080000000@0
oooo0000003oool000000P3oool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo
0P0000020?ooo`80000000<0oooo0000003oool01000001D0?ooo`00F03oool2000000040?ooo`00
0000oooo00000080oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`020?ooo`800000
0P3oool2000000030?ooo`000000oooo05P0oooo001R0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0H`3oool00<d0oooo003=0?ooo`00c@3oool00<d0oooo0000\
\>"],
  ImageRangeCache->{{{0, 204}, {204, 0}} -> {-2.0999, -2.10001, 0.0205877, \
0.0205876}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?FindMinimizer\)\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \("FindMinimizer[A_, y_, options___] finds minimizer of \
||Ax-y||^2+2\[Tau]||x||_1 with exact algorithm."\)], "Print",
  CellTags->"Info3421404107-3229850"]
}, Open  ]],

Cell["In the following case,the minimizer is not unique", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[{{1, 1}}, {1}]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({0, 1}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[{{1. , 1. }}, {1. }]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({0.5`, 0.4999999999999999`}\)], "Output"]
}, Open  ]],

Cell["\<\
An example without any excpetional behaviour, and with lots of intermediate \
information. The algorithm calculates all the nodes, and returns the last \
one.\
\>", "Text",
  FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[3], {3, \(-1\), 2}, 
      Verbose \[Rule] 2]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    InterpretationBox[\(0\[InvisibleSpace]": Finding starting point..."\),
      SequenceForm[ 0, ": Finding starting point..."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(0\[InvisibleSpace]": current penalty= "\
\[InvisibleSpace]3\),
      SequenceForm[ 0, ": current penalty= ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(0\[InvisibleSpace]": activeset= \
"\[InvisibleSpace]{}\),
      SequenceForm[ 0, ": activeset= ", {}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(0\[InvisibleSpace]": argmax|r/w|= \
"\[InvisibleSpace]{1}\),
      SequenceForm[ 0, ": argmax|r/w|= ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(0\[InvisibleSpace]": candidate new indices= "\
\[InvisibleSpace]{1}\),
      SequenceForm[ 0, ": candidate new indices= ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(0\[InvisibleSpace]": test= "\[InvisibleSpace]0\),
      SequenceForm[ 0, ": test= ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": Just one new index candidate: "\
\[InvisibleSpace]{1}\),
      SequenceForm[ 1, ": Just one new index candidate: ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": activeset= "\[InvisibleSpace]{1}\
\),
      SequenceForm[ 1, ": activeset= ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": special indices= "\
\[InvisibleSpace]{}\),
      SequenceForm[ 1, ": special indices= ", {}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": gamma= "\[InvisibleSpace]1\),
      SequenceForm[ 1, ": gamma= ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": corresponding candidate index: "\
\[InvisibleSpace]{3}\),
      SequenceForm[ 1, ": corresponding candidate index: ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": At the end of this step:"\),
      SequenceForm[ 1, ": At the end of this step:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": activeset= "\[InvisibleSpace]{1}\
\),
      SequenceForm[ 1, ": activeset= ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": argmax|r/w|= \
"\[InvisibleSpace]{1, 3}\),
      SequenceForm[ 1, ": argmax|r/w|= ", {1, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": candidate new indices= "\
\[InvisibleSpace]{3}\),
      SequenceForm[ 1, ": candidate new indices= ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": Current penalty= "\
\[InvisibleSpace]2\),
      SequenceForm[ 1, ": Current penalty= ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]": test="\[InvisibleSpace]0\),
      SequenceForm[ 1, ": test=", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": Just one new index candidate: "\
\[InvisibleSpace]{3}\),
      SequenceForm[ 2, ": Just one new index candidate: ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": activeset= "\[InvisibleSpace]{1, 
          3}\),
      SequenceForm[ 2, ": activeset= ", {1, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": special indices= "\
\[InvisibleSpace]{}\),
      SequenceForm[ 2, ": special indices= ", {}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": gamma= "\[InvisibleSpace]1\),
      SequenceForm[ 2, ": gamma= ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": corresponding candidate index: "\
\[InvisibleSpace]{2}\),
      SequenceForm[ 2, ": corresponding candidate index: ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": At the end of this step:"\),
      SequenceForm[ 2, ": At the end of this step:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": activeset= "\[InvisibleSpace]{1, 
          3}\),
      SequenceForm[ 2, ": activeset= ", {1, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": argmax|r/w|= \
"\[InvisibleSpace]{1, 2, 3}\),
      SequenceForm[ 2, ": argmax|r/w|= ", {1, 2, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": candidate new indices= "\
\[InvisibleSpace]{2}\),
      SequenceForm[ 2, ": candidate new indices= ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": Current penalty= "\
\[InvisibleSpace]1\),
      SequenceForm[ 2, ": Current penalty= ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(2\[InvisibleSpace]": test="\[InvisibleSpace]0\),
      SequenceForm[ 2, ": test=", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": Just one new index candidate: "\
\[InvisibleSpace]{2}\),
      SequenceForm[ 3, ": Just one new index candidate: ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": activeset= "\[InvisibleSpace]{1, 
          3, 2}\),
      SequenceForm[ 3, ": activeset= ", {1, 3, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": special indices= "\
\[InvisibleSpace]{}\),
      SequenceForm[ 3, ": special indices= ", {}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": gamma= "\[InvisibleSpace]\
\[Infinity]\),
      SequenceForm[ 3, ": gamma= ", 
        DirectedInfinity[ 1]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": All components of remainder are \
equal (final(?) stage)."\),
      SequenceForm[ 
      3, ": All components of remainder are equal (final(?) stage)."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": special choice of gamma: "\
\[InvisibleSpace]1\),
      SequenceForm[ 3, ": special choice of gamma: ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": Gamma equals penalty. Final \
stage of first phase?"\),
      SequenceForm[ 3, ": Gamma equals penalty. Final stage of first phase?"],
      
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": corresponding candidate index: "\
\[InvisibleSpace]{}\),
      SequenceForm[ 3, ": corresponding candidate index: ", {}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": At the end of this step:"\),
      SequenceForm[ 3, ": At the end of this step:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": activeset= "\[InvisibleSpace]{1, 
          3, 2}\),
      SequenceForm[ 3, ": activeset= ", {1, 3, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": argmax|r/w|= \
"\[InvisibleSpace]{1, 2, 3}\),
      SequenceForm[ 3, ": argmax|r/w|= ", {1, 2, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": candidate new indices= "\
\[InvisibleSpace]{}\),
      SequenceForm[ 3, ": candidate new indices= ", {}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": Current penalty= "\
\[InvisibleSpace]0\),
      SequenceForm[ 3, ": Current penalty= ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": test="\[InvisibleSpace]0\),
      SequenceForm[ 3, ": test=", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]": Algorithm has reached its final \
step. Stopping..."\),
      SequenceForm[ 3, ": Algorithm has reached its final step. Stopping..."],
      
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Final test="\[InvisibleSpace]0\),
      SequenceForm[ "Final test=", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \({3, \(-1\), 2}\)], "Output"]
}, Open  ]],

Cell["\<\
One can use weights  (positive or zero) for the penalty term. Here we also \
make a list of the intermediate nodes:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[3], {3, \(-1\), 2}, 
      Weights \[Rule] {1, 2, 0}, ListFunction \[Rule] Minimizer]\)], "Input"],

Cell[BoxData[
    \({{{0, 0, 2}, {5\/2, 0, 2}, {3, \(-1\), 2}}, {3, \(-1\), 2}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[5], {12, \(-8\), 5, 1, 2}, 
      ListFunction \[Rule] Minimizer]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({{{0, 0, 0, 0, 0}, {4, 0, 0, 0, 0}, {7, \(-3\), 0, 0, 0}, {10, \(-6\), 
          3, 0, 0}, {11, \(-7\), 4, 0, 1}, {12, \(-8\), 5, 1, 
          2}}, {12, \(-8\), 5, 1, 2}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[5], {12, \(-8\), 5, 1, 2}, 
      ListFunction :> {Counter, Time, Minimizer, Norm[DataMisfit]^2, 
          Remainder}]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({{{0, 0.`, {0, 0, 0, 0, 0}, 238, {12, \(-8\), 5, 1, 2}}, {1, 
          0.`, {4, 0, 0, 0, 0}, 158, {8, \(-8\), 5, 1, 2}}, {2, 
          0.015000000000000013`, {7, \(-3\), 0, 0, 0}, 
          80, {5, \(-5\), 5, 1, 2}}, {3, 
          0.015000000000000013`, {10, \(-6\), 3, 0, 0}, 
          17, {2, \(-2\), 2, 1, 2}}, {4, 
          0.015000000000000013`, {11, \(-7\), 4, 0, 1}, 
          5, {1, \(-1\), 1, 1, 1}}, {5, 
          0.015000000000000013`, {12, \(-8\), 5, 1, 2}, 
          0, {0, 0, 0, 0, 0}}}, {12, \(-8\), 5, 1, 2}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[\(-IdentityMatrix[5]\), {12, \(-8\), 5, 1, 2}, 
      ListFunction :> {Norm[Minimizer, 1], Norm[DataMisfit]^2}]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({{{0, 238}, {4, 158}, {10, 80}, {19, 17}, {23, 5}, {28, 0}}, {\(-12\), 
        8, \(-5\), \(-1\), \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[5], {12, \(-8\), 5, 0, 0}, 
      MaximumL1Norm \[Rule] 8]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({6, \(-2\), 0, 0, 0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[5], {12, \(-8\), 5, 0, 0}, 
      MaximumL1Norm \[Rule] 26, 
      ListFunction \[RuleDelayed] Norm[Minimizer, 1]]\)], "Input"],

Cell[BoxData[
    \({{0, 4, 10, 25}, {12, \(-8\), 5, 0, 0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[5], {12, \(-8\), 5, 0, 0}, 
      StoppingPenalty \[Rule] 1, ListFunction \[Rule] Penalty]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({{12, 8, 5, 1}, {11, \(-7\), 4, 0, 0}}\)], "Output"]
}, Open  ]],

Cell["\<\
Stop at the first node that has 3 nonzero components (by linear \
interpolation, this isn't the first minimizer with 3 nonzero components, it \
is the first node with 3 nonzero components)\
\>", "Text",
  FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[IdentityMatrix[5], {12, \(-8\), 5, 4, 2}, 
      MaximumNonZero \[Rule] 3, Verbose \[Rule] 1]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({8, \(-4\), 1, 0, 0}\)], "Output"]
}, Open  ]],

Cell["\<\
Here's a numerical example. It takes about 0.5 seconds to calculate over 130 \
nodes (a random matrix is used: if you try this yourself, the numbers will \
change).\
\>", "Text"],

Cell[BoxData[{
    \(\(size = 100;\)\), "\[IndentingNewLine]", 
    \(\(mat = 
        Table[Random[
            Real, {\(-5\), 5}], {size}, {size}];\)\), "\[IndentingNewLine]", 
    \(\(data = 
        Table[Random[
            Real, {\(-5\), 5}], {size}];\)\), "\[IndentingNewLine]", 
    \(\(sol = 
        FindMinimizer[mat, data, MaximumNonZero \[Rule] size - 10, 
          ListFunction \[Rule] {Counter, Time}];\)\)}], "Input",
  FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Short[sol]\)], "Input"],

Cell[BoxData[
    TagBox[\({{{0, 0.`}, {1, 0.`}, \[LeftSkeleton]148\[RightSkeleton], {150, 
            0.781`}}, {\(-\[LeftSkeleton]21\[RightSkeleton]\), \
\[LeftSkeleton]98\[RightSkeleton], 0}}\),
      Short]], "Output"]
}, Open  ]],

Cell["Here's an example to illustrate some other functions:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(numvars = 3;\)\), "\[IndentingNewLine]", 
    \(\(numdata = 3;\)\), "\[IndentingNewLine]", 
    \(\(mat = 
        Table[Random[
            Integer, {\(-5\), 
              5}], {numdata}, {numvars}];\)\), "\[IndentingNewLine]", 
    \(\(data = 
        Table[Random[
            Integer, {\(-5\), 5}], {numdata}];\)\), "\[IndentingNewLine]", 
    \(sollist = \(FindMinimizer[mat, data, 
          ListFunction \[RuleDelayed] {Minimizer, 
              Max[Abs[Remainder]]}]\)[\([1]\)]\)}], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({{{0, 0, 0}, 26}, {{\(-\(9\/35\)\), 0, 0}, 
        76\/5}, {{\(-\(153\/422\)\), 0, \(-\(519\/844\)\)}, 
        5459\/844}, {{\(-\(59\/53\)\), 103\/53, \(-\(93\/53\)\)}, 
        0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?CheckMinimizerList\)\)], "Input"],

Cell[BoxData[
    \("CheckMinimizerList[K_,y_,minlist_,lambdalist_,options___] checks \
whether minlist is a list of consecutive(!) nodes (for descending \
penalizations in lambdalist) in the minimizer corresponding to K and y, i.e. \
checks whether fixed point equation is satisfied between these nodes."\)], \
"Print",
  CellTags->"Info3421317558-4784661"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CheckMinimizerList[mat, 
      data, \(Transpose[sollist]\)[\([1]\)], \(Transpose[
          sollist]\)[\([2]\)]]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CheckMinimizerList[N[mat], 
      N[data], \(Transpose[sollist]\)[\([1]\)], \(Transpose[
          sollist]\)[\([2]\)]]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \("Only exact numbers allowed!"\)], "Print"],

Cell[BoxData[
    \(Indeterminate\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?MinimizerInterpolationFunction\)\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \("MinimizerInterpolationFunction[minlist_,lambdalist_,var_] builds a \
list of interpolation functions based on the data provided, and evaluated in \
var."\)], "Print",
  CellTags->"Info3421317564-4783566"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[xxx_] = 
      MinimizerInterpolationFunction[\(Transpose[
            sollist]\)[\([1]\)], \(Transpose[sollist]\)[\([2]\)], 
        xxx]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          TagBox[\(InterpolatingFunction[{{0, 26}}, "<>"]\),
            False,
            Editable->False], "[", "xxx", "]"}], ",", 
        RowBox[{
          TagBox[\(InterpolatingFunction[{{0, 26}}, "<>"]\),
            False,
            Editable->False], "[", "xxx", "]"}], ",", 
        RowBox[{
          TagBox[\(InterpolatingFunction[{{0, 26}}, "<>"]\),
            False,
            Editable->False], "[", "xxx", "]"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[6]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({\(-\(1171\/2809\)\), 395\/2809, \(-\(1959\/2809\)\)}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[0]\)], "Input",
  FontFamily->"Courier New"],

Cell[BoxData[
    \({\(-\(59\/53\)\), 103\/53, \(-\(93\/53\)\)}\)], "Output"]
}, Open  ]],

Cell["Here an illustration of the iterative methods:", "Text"],

Cell[BoxData[{
    \(\(mat = {{0.01, \(-0.23\), \(-0.49\), \(-0.16\), \(-0.46\), 
            0.09}, {\(-0.06\), 0.18, \(-0.16\), 0.06, \(-0.16\), 
            0.35}, {\(-0.13\), \(-0.11\), \(-0.19\), 0.23, 
            0.32, \(-0.4\)}, {\(-0.43\), 0. , 
            0.5, \(-0.1\), \(-0.02\), \(-0.4\)}, {\(-0.02\), \(-0.37\), \
\(-0.03\), 0.27, \(-0.06\), 0.04}};\)\), "\[IndentingNewLine]", 
    \(\(data = {\(-0.94\), \(-0.84\), \(-0.79\), 0.95, 
          0.38};\)\), "\[IndentingNewLine]", 
    \(\(w = {0.23, 0, 0.58, 0.38, 0.51, 0.92};\)\), "\[IndentingNewLine]", 
    \(\(lambda = 0.4;\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimizer[mat, data, Weights \[Rule] w, 
      StoppingPenalty \[Rule] 0.4]\)], "Input"],

Cell[BoxData[
    \({0.0464829804678772`, \(-0.9319934093551319`\), 1.9781389316642248`, 0, 
      0, 0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(l1nrm = Norm[w*%, 1]\)], "Input"],

Cell[BoxData[
    \(1.158011665872862`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ThresholdedLandweber[mat, data, lambda, Weights \[Rule] w, 
      StoppingCondition \[Rule] Counter > 100]\)], "Input"],

Cell[BoxData[
    \({0.04647588501960297`, \(-0.9319896035709375`\), 1.9781350557233817`, 
      0.`, 0.`, 0.`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ProjectedLandweber[mat, data, l1nrm, Weights \[Rule] w, 
      StoppingCondition \[Rule] Counter > 100]\)], "Input"],

Cell[BoxData[
    \({0.04648298046952863`, \(-0.9319934093472846`\), 1.9781389316635698`, 
      0.`, 0.`, 0.`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ProjectedSteepestDescent[mat, data, l1nrm, Weights \[Rule] w, 
      StoppingCondition \[Rule] Counter > 100]\)], "Input"],

Cell[BoxData[
    \({0.04648298046787663`, \(-0.9319934093551319`\), 1.9781389316642248`, 
      0.`, 0.`, 0.`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(AdaptiveLandweber[mat, data, l1nrm, 100, Weights \[Rule] w]\)], "Input"],

Cell[BoxData[
    \({0.028779807564621424`, \(-0.8965001222717616`\), 1.9851591554017205`, 
      0.`, 0.`, 0.`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(AdaptiveSteepestDescent[mat, data, l1nrm, 100, 
      Weights \[Rule] w]\)], "Input"],

Cell[BoxData[
    \({0.03815241442916306`, \(-0.9238850368214202`\), 1.9814424319899195`, 
      0.`, 0.`, 0.`}\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 713}},
ScreenStyleEnvironment->"Working",
WindowSize->{516, 555},
WindowMargins->{{28, Automatic}, {Automatic, 29}},
PrintingCopies->1,
PrintingPageRange->{1, 1},
PrintingOptions->{"PrintingMargins"->{{72, 72}, {72, 72}},
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False},
ShowSelection->True,
StyleDefinitions -> "Default.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Info3421404101-9830642"->{
    Cell[3123, 100, 152, 3, 44, "Print",
      CellTags->"Info3421404101-9830642"]},
  "Info3421404104-1027883"->{
    Cell[25404, 977, 158, 3, 44, "Print",
      CellTags->"Info3421404104-1027883"]},
  "Info3421404107-3229850"->{
    Cell[126315, 3073, 175, 3, 44, "Print",
      CellTags->"Info3421404107-3229850"]},
  "Info3421317558-4784661"->{
    Cell[141129, 3550, 358, 6, 120, "Print",
      CellTags->"Info3421317558-4784661"]},
  "Info3421317564-4783566"->{
    Cell[142210, 3592, 225, 4, 63, "Print",
      CellTags->"Info3421317564-4783566"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Info3421404101-9830642", 147020, 3757},
  {"Info3421404104-1027883", 147135, 3760},
  {"Info3421404107-3229850", 147251, 3763},
  {"Info3421317558-4784661", 147369, 3766},
  {"Info3421317564-4783566", 147488, 3769}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 91, 1, 33, "Text"],
Cell[1848, 54, 479, 9, 147, "Text"],
Cell[2330, 65, 90, 1, 33, "Text"],
Cell[2423, 68, 68, 2, 30, "Input"],
Cell[2494, 72, 159, 4, 52, "Text"],

Cell[CellGroupData[{
Cell[2678, 80, 137, 3, 50, "Input"],
Cell[2818, 85, 108, 2, 48, "Output"]
}, Open  ]],
Cell[2941, 90, 74, 2, 30, "Input"],

Cell[CellGroupData[{
Cell[3040, 96, 80, 2, 30, "Input"],
Cell[3123, 100, 152, 3, 44, "Print",
  CellTags->"Info3421404101-9830642"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3312, 108, 134, 3, 30, "Input"],
Cell[3449, 113, 76, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3562, 119, 185, 3, 50, "Input"],
Cell[3750, 124, 101, 2, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3888, 131, 90, 2, 30, "Input"],
Cell[3981, 135, 42, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4060, 141, 103, 2, 30, "Input"],
Cell[4166, 145, 20980, 818, 140, 10287, 681, "GraphicsData", "PostScript", \
"Graphics"],
Cell[25149, 965, 130, 3, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25316, 973, 85, 2, 30, "Input"],
Cell[25404, 977, 158, 3, 44, "Print",
  CellTags->"Info3421404104-1027883"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25599, 985, 98, 2, 30, "Input"],
Cell[25700, 989, 46, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25783, 995, 188, 5, 30, "Input"],
Cell[25974, 1002, 46, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26057, 1008, 259, 6, 130, "Input"],
Cell[26319, 1016, 99743, 2043, 213, 10722, 939, "GraphicsData", "PostScript", \
"Graphics"],
Cell[126065, 3061, 130, 3, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[126232, 3069, 80, 2, 30, "Input"],
Cell[126315, 3073, 175, 3, 44, "Print",
  CellTags->"Info3421404107-3229850"]
}, Open  ]],
Cell[126505, 3079, 65, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[126595, 3083, 90, 2, 30, "Input"],
Cell[126688, 3087, 40, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[126765, 3093, 96, 2, 30, "Input"],
Cell[126864, 3097, 61, 1, 29, "Output"]
}, Open  ]],
Cell[126940, 3101, 211, 5, 71, "Text"],

Cell[CellGroupData[{
Cell[127176, 3110, 136, 3, 30, "Input"],
Cell[127315, 3115, 177, 3, 25, "Print"],
Cell[127495, 3120, 184, 4, 25, "Print"],
Cell[127682, 3126, 174, 4, 25, "Print"],
Cell[127859, 3132, 180, 4, 25, "Print"],
Cell[128042, 3138, 200, 4, 25, "Print"],
Cell[128245, 3144, 160, 3, 25, "Print"],
Cell[128408, 3149, 214, 4, 25, "Print"],
Cell[128625, 3155, 176, 4, 25, "Print"],
Cell[128804, 3161, 186, 4, 25, "Print"],
Cell[128993, 3167, 162, 3, 25, "Print"],
Cell[129158, 3172, 216, 4, 25, "Print"],
Cell[129377, 3178, 175, 3, 25, "Print"],
Cell[129555, 3183, 176, 4, 25, "Print"],
Cell[129734, 3189, 186, 4, 25, "Print"],
Cell[129923, 3195, 200, 4, 25, "Print"],
Cell[130126, 3201, 184, 4, 25, "Print"],
Cell[130313, 3207, 158, 3, 25, "Print"],
Cell[130474, 3212, 214, 4, 25, "Print"],
Cell[130691, 3218, 191, 4, 25, "Print"],
Cell[130885, 3224, 186, 4, 25, "Print"],
Cell[131074, 3230, 162, 3, 25, "Print"],
Cell[131239, 3235, 216, 4, 25, "Print"],
Cell[131458, 3241, 175, 3, 25, "Print"],
Cell[131636, 3246, 191, 4, 25, "Print"],
Cell[131830, 3252, 192, 4, 25, "Print"],
Cell[132025, 3258, 200, 4, 25, "Print"],
Cell[132228, 3264, 184, 4, 25, "Print"],
Cell[132415, 3270, 158, 3, 25, "Print"],
Cell[132576, 3275, 214, 4, 25, "Print"],
Cell[132793, 3281, 197, 4, 25, "Print"],
Cell[132993, 3287, 186, 4, 25, "Print"],
Cell[133182, 3293, 202, 5, 25, "Print"],
Cell[133387, 3300, 246, 5, 25, "Print"],
Cell[133636, 3307, 200, 4, 25, "Print"],
Cell[133839, 3313, 234, 5, 25, "Print"],
Cell[134076, 3320, 214, 4, 25, "Print"],
Cell[134293, 3326, 175, 3, 25, "Print"],
Cell[134471, 3331, 197, 4, 25, "Print"],
Cell[134671, 3337, 192, 4, 25, "Print"],
Cell[134866, 3343, 198, 4, 25, "Print"],
Cell[135067, 3349, 184, 4, 25, "Print"],
Cell[135254, 3355, 158, 3, 25, "Print"],
Cell[135415, 3360, 234, 5, 25, "Print"],
Cell[135652, 3367, 145, 3, 25, "Print"],
Cell[135800, 3372, 48, 1, 29, "Output"]
}, Open  ]],
Cell[135863, 3376, 139, 3, 52, "Text"],

Cell[CellGroupData[{
Cell[136027, 3383, 147, 2, 50, "Input"],
Cell[136177, 3387, 93, 1, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[136307, 3393, 156, 3, 50, "Input"],
Cell[136466, 3398, 206, 3, 67, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[136709, 3406, 210, 4, 70, "Input"],
Cell[136922, 3412, 567, 10, 143, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[137526, 3427, 187, 3, 50, "Input"],
Cell[137716, 3432, 141, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[137894, 3439, 149, 3, 50, "Input"],
Cell[138046, 3444, 54, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[138137, 3450, 176, 3, 50, "Input"],
Cell[138316, 3455, 73, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[138426, 3461, 181, 3, 50, "Input"],
Cell[138610, 3466, 72, 1, 29, "Output"]
}, Open  ]],
Cell[138697, 3470, 241, 5, 90, "Text"],

Cell[CellGroupData[{
Cell[138963, 3479, 169, 3, 50, "Input"],
Cell[139135, 3484, 54, 1, 29, "Output"]
}, Open  ]],
Cell[139204, 3488, 188, 4, 52, "Text"],
Cell[139395, 3494, 463, 11, 110, "Input"],

Cell[CellGroupData[{
Cell[139883, 3509, 43, 1, 30, "Input"],
Cell[139929, 3512, 223, 4, 48, "Output"]
}, Open  ]],
Cell[140167, 3519, 69, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[140261, 3523, 552, 13, 170, "Input"],
Cell[140816, 3538, 217, 4, 76, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[141070, 3547, 56, 1, 30, "Input"],
Cell[141129, 3550, 358, 6, 120, "Print",
  CellTags->"Info3421317558-4784661"]
}, Open  ]],

Cell[CellGroupData[{
Cell[141524, 3561, 175, 4, 50, "Input"],
Cell[141702, 3567, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[141777, 3573, 181, 4, 50, "Input"],
Cell[141961, 3579, 62, 1, 25, "Print"],
Cell[142026, 3582, 47, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[142110, 3588, 97, 2, 30, "Input"],
Cell[142210, 3592, 225, 4, 63, "Print",
  CellTags->"Info3421317564-4783566"]
}, Open  ]],

Cell[CellGroupData[{
Cell[142472, 3601, 202, 5, 50, "Input"],
Cell[142677, 3608, 516, 14, 67, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[143230, 3627, 66, 2, 30, "Input"],
Cell[143299, 3631, 87, 1, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[143423, 3637, 66, 2, 30, "Input"],
Cell[143492, 3641, 77, 1, 42, "Output"]
}, Open  ]],
Cell[143584, 3645, 62, 0, 33, "Text"],
Cell[143649, 3647, 609, 10, 170, "Input"],

Cell[CellGroupData[{
Cell[144283, 3661, 112, 2, 30, "Input"],
Cell[144398, 3665, 118, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[144553, 3672, 53, 1, 30, "Input"],
Cell[144609, 3675, 52, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[144698, 3681, 139, 2, 50, "Input"],
Cell[144840, 3685, 125, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[145002, 3692, 136, 2, 50, "Input"],
Cell[145141, 3696, 125, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[145303, 3703, 142, 2, 50, "Input"],
Cell[145448, 3707, 125, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[145610, 3714, 92, 1, 30, "Input"],
Cell[145705, 3717, 126, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[145868, 3724, 105, 2, 50, "Input"],
Cell[145976, 3728, 125, 2, 29, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

